/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.bnmrepository.bnmrepository.util;

import org.cinco.pilarcos.bnmrepository.bnmrepository.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.bnmrepository.bnmrepository.bnmrepositoryPackage
 * @generated
 */
public class bnmrepositoryAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static bnmrepositoryPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public bnmrepositoryAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = bnmrepositoryPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected bnmrepositorySwitch<Adapter> modelSwitch =
		new bnmrepositorySwitch<Adapter>() {
			@Override
			public Adapter caseBNMRepositoryModel(BNMRepositoryModel object) {
				return createBNMRepositoryModelAdapter();
			}
			@Override
			public Adapter casePilarcosLiaisonKnowledgeItemTypeRelationship(PilarcosLiaisonKnowledgeItemTypeRelationship object) {
				return createPilarcosLiaisonKnowledgeItemTypeRelationshipAdapter();
			}
			@Override
			public Adapter caseBNMKnowledgeItemSet(BNMKnowledgeItemSet object) {
				return createBNMKnowledgeItemSetAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.bnmrepository.bnmrepository.BNMRepositoryModel <em>BNM Repository Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.bnmrepository.bnmrepository.BNMRepositoryModel
	 * @generated
	 */
	public Adapter createBNMRepositoryModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.bnmrepository.bnmrepository.PilarcosLiaisonKnowledgeItemTypeRelationship <em>Pilarcos Liaison Knowledge Item Type Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.bnmrepository.bnmrepository.PilarcosLiaisonKnowledgeItemTypeRelationship
	 * @generated
	 */
	public Adapter createPilarcosLiaisonKnowledgeItemTypeRelationshipAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.bnmrepository.bnmrepository.BNMKnowledgeItemSet <em>BNM Knowledge Item Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.bnmrepository.bnmrepository.BNMKnowledgeItemSet
	 * @generated
	 */
	public Adapter createBNMKnowledgeItemSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //bnmrepositoryAdapterFactory
