/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.businessdocumentrepository.businessdocumentrepository.util;

import org.cinco.pilarcos.businessdocumentrepository.businessdocumentrepository.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.businessdocumentrepository.businessdocumentrepository.businessdocumentrepositoryPackage
 * @generated
 */
public class businessdocumentrepositoryAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static businessdocumentrepositoryPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public businessdocumentrepositoryAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = businessdocumentrepositoryPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected businessdocumentrepositorySwitch<Adapter> modelSwitch =
		new businessdocumentrepositorySwitch<Adapter>() {
			@Override
			public Adapter caseBusinessDocumentRepositoryModel(BusinessDocumentRepositoryModel object) {
				return createBusinessDocumentRepositoryModelAdapter();
			}
			@Override
			public Adapter casePilarcosBusinessDocumentKnowledgeItemTypeRelationship(PilarcosBusinessDocumentKnowledgeItemTypeRelationship object) {
				return createPilarcosBusinessDocumentKnowledgeItemTypeRelationshipAdapter();
			}
			@Override
			public Adapter caseBusinessDocumentKnowledgeItemSet(BusinessDocumentKnowledgeItemSet object) {
				return createBusinessDocumentKnowledgeItemSetAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.businessdocumentrepository.businessdocumentrepository.BusinessDocumentRepositoryModel <em>Business Document Repository Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.businessdocumentrepository.businessdocumentrepository.BusinessDocumentRepositoryModel
	 * @generated
	 */
	public Adapter createBusinessDocumentRepositoryModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.businessdocumentrepository.businessdocumentrepository.PilarcosBusinessDocumentKnowledgeItemTypeRelationship <em>Pilarcos Business Document Knowledge Item Type Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.businessdocumentrepository.businessdocumentrepository.PilarcosBusinessDocumentKnowledgeItemTypeRelationship
	 * @generated
	 */
	public Adapter createPilarcosBusinessDocumentKnowledgeItemTypeRelationshipAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.businessdocumentrepository.businessdocumentrepository.BusinessDocumentKnowledgeItemSet <em>Business Document Knowledge Item Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.businessdocumentrepository.businessdocumentrepository.BusinessDocumentKnowledgeItemSet
	 * @generated
	 */
	public Adapter createBusinessDocumentKnowledgeItemSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //businessdocumentrepositoryAdapterFactory
