/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.common.breachrecoverychoreography.util;

import org.cinco.pilarcos.common.breachrecoverychoreography.*;

import org.cinco.pilarcos.common.common.NamedElement;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.common.breachrecoverychoreography.breachrecoverychoreographyPackage
 * @generated
 */
public class breachrecoverychoreographyAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static breachrecoverychoreographyPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public breachrecoverychoreographyAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = breachrecoverychoreographyPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected breachrecoverychoreographySwitch<Adapter> modelSwitch =
		new breachrecoverychoreographySwitch<Adapter>() {
			@Override
			public Adapter caseBreachRecoveryChoreography(BreachRecoveryChoreography object) {
				return createBreachRecoveryChoreographyAdapter();
			}
			@Override
			public Adapter caseBreachRecoveryCommitment(BreachRecoveryCommitment object) {
				return createBreachRecoveryCommitmentAdapter();
			}
			@Override
			public Adapter caseBusinessDocument(BusinessDocument object) {
				return createBusinessDocumentAdapter();
			}
			@Override
			public Adapter caseBreachRecoveryAction(BreachRecoveryAction object) {
				return createBreachRecoveryActionAdapter();
			}
			@Override
			public Adapter caseBreachRecoveryRole(BreachRecoveryRole object) {
				return createBreachRecoveryRoleAdapter();
			}
			@Override
			public Adapter caseBreachRecoveryConnection(BreachRecoveryConnection object) {
				return createBreachRecoveryConnectionAdapter();
			}
			@Override
			public Adapter caseBreachRecoveryTransaction(BreachRecoveryTransaction object) {
				return createBreachRecoveryTransactionAdapter();
			}
			@Override
			public Adapter caseNamedElement(NamedElement object) {
				return createNamedElementAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.breachrecoverychoreography.BreachRecoveryChoreography <em>Breach Recovery Choreography</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.breachrecoverychoreography.BreachRecoveryChoreography
	 * @generated
	 */
	public Adapter createBreachRecoveryChoreographyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.breachrecoverychoreography.BreachRecoveryCommitment <em>Breach Recovery Commitment</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.breachrecoverychoreography.BreachRecoveryCommitment
	 * @generated
	 */
	public Adapter createBreachRecoveryCommitmentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.breachrecoverychoreography.BusinessDocument <em>Business Document</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.breachrecoverychoreography.BusinessDocument
	 * @generated
	 */
	public Adapter createBusinessDocumentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.breachrecoverychoreography.BreachRecoveryAction <em>Breach Recovery Action</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.breachrecoverychoreography.BreachRecoveryAction
	 * @generated
	 */
	public Adapter createBreachRecoveryActionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.breachrecoverychoreography.BreachRecoveryRole <em>Breach Recovery Role</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.breachrecoverychoreography.BreachRecoveryRole
	 * @generated
	 */
	public Adapter createBreachRecoveryRoleAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.breachrecoverychoreography.BreachRecoveryConnection <em>Breach Recovery Connection</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.breachrecoverychoreography.BreachRecoveryConnection
	 * @generated
	 */
	public Adapter createBreachRecoveryConnectionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.breachrecoverychoreography.BreachRecoveryTransaction <em>Breach Recovery Transaction</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.breachrecoverychoreography.BreachRecoveryTransaction
	 * @generated
	 */
	public Adapter createBreachRecoveryTransactionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.common.NamedElement <em>Named Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.common.NamedElement
	 * @generated
	 */
	public Adapter createNamedElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //breachrecoverychoreographyAdapterFactory
