/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.common.breachrecoverychoreography.util;

import java.util.List;

import org.cinco.pilarcos.common.breachrecoverychoreography.*;

import org.cinco.pilarcos.common.common.NamedElement;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.common.breachrecoverychoreography.breachrecoverychoreographyPackage
 * @generated
 */
public class breachrecoverychoreographySwitch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static breachrecoverychoreographyPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public breachrecoverychoreographySwitch() {
		if (modelPackage == null) {
			modelPackage = breachrecoverychoreographyPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public T doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List<EClass> eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch(eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case breachrecoverychoreographyPackage.BREACH_RECOVERY_CHOREOGRAPHY: {
				BreachRecoveryChoreography breachRecoveryChoreography = (BreachRecoveryChoreography)theEObject;
				T result = caseBreachRecoveryChoreography(breachRecoveryChoreography);
				if (result == null) result = caseNamedElement(breachRecoveryChoreography);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case breachrecoverychoreographyPackage.BREACH_RECOVERY_COMMITMENT: {
				BreachRecoveryCommitment breachRecoveryCommitment = (BreachRecoveryCommitment)theEObject;
				T result = caseBreachRecoveryCommitment(breachRecoveryCommitment);
				if (result == null) result = caseNamedElement(breachRecoveryCommitment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case breachrecoverychoreographyPackage.BUSINESS_DOCUMENT: {
				BusinessDocument businessDocument = (BusinessDocument)theEObject;
				T result = caseBusinessDocument(businessDocument);
				if (result == null) result = caseNamedElement(businessDocument);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case breachrecoverychoreographyPackage.BREACH_RECOVERY_ACTION: {
				BreachRecoveryAction breachRecoveryAction = (BreachRecoveryAction)theEObject;
				T result = caseBreachRecoveryAction(breachRecoveryAction);
				if (result == null) result = caseNamedElement(breachRecoveryAction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case breachrecoverychoreographyPackage.BREACH_RECOVERY_ROLE: {
				BreachRecoveryRole breachRecoveryRole = (BreachRecoveryRole)theEObject;
				T result = caseBreachRecoveryRole(breachRecoveryRole);
				if (result == null) result = caseNamedElement(breachRecoveryRole);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case breachrecoverychoreographyPackage.BREACH_RECOVERY_CONNECTION: {
				BreachRecoveryConnection breachRecoveryConnection = (BreachRecoveryConnection)theEObject;
				T result = caseBreachRecoveryConnection(breachRecoveryConnection);
				if (result == null) result = caseNamedElement(breachRecoveryConnection);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case breachrecoverychoreographyPackage.BREACH_RECOVERY_TRANSACTION: {
				BreachRecoveryTransaction breachRecoveryTransaction = (BreachRecoveryTransaction)theEObject;
				T result = caseBreachRecoveryTransaction(breachRecoveryTransaction);
				if (result == null) result = caseNamedElement(breachRecoveryTransaction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Breach Recovery Choreography</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Breach Recovery Choreography</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBreachRecoveryChoreography(BreachRecoveryChoreography object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Breach Recovery Commitment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Breach Recovery Commitment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBreachRecoveryCommitment(BreachRecoveryCommitment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Document</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Document</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBusinessDocument(BusinessDocument object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Breach Recovery Action</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Breach Recovery Action</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBreachRecoveryAction(BreachRecoveryAction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Breach Recovery Role</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Breach Recovery Role</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBreachRecoveryRole(BreachRecoveryRole object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Breach Recovery Connection</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Breach Recovery Connection</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBreachRecoveryConnection(BreachRecoveryConnection object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Breach Recovery Transaction</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Breach Recovery Transaction</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBreachRecoveryTransaction(BreachRecoveryTransaction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public T defaultCase(EObject object) {
		return null;
	}

} //breachrecoverychoreographySwitch
