/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.common.businessnetworkarchitecture;

import org.cinco.pilarcos.common.common.commonPackage;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.businessnetworkarchitectureFactory
 * @model kind="package"
 * @generated
 */
public interface businessnetworkarchitecturePackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "businessnetworkarchitecture";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://cinco.org/pilarcos/metamodel/common/businessnetworkarchitecture";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "businessnetworkarchitecture";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	businessnetworkarchitecturePackage eINSTANCE = org.cinco.pilarcos.common.businessnetworkarchitecture.impl.businessnetworkarchitecturePackageImpl.init();

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkArchitectureImpl <em>Business Network Architecture</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkArchitectureImpl
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.businessnetworkarchitecturePackageImpl#getBusinessNetworkArchitecture()
	 * @generated
	 */
	int BUSINESS_NETWORK_ARCHITECTURE = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_ARCHITECTURE__NAME = commonPackage.NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Connections</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_ARCHITECTURE__CONNECTIONS = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Transactions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_ARCHITECTURE__TRANSACTIONS = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Actions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_ARCHITECTURE__ACTIONS = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Roles</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_ARCHITECTURE__ROLES = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Business Network Architecture</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_ARCHITECTURE_FEATURE_COUNT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkCommitmentImpl <em>Business Network Commitment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkCommitmentImpl
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.businessnetworkarchitecturePackageImpl#getBusinessNetworkCommitment()
	 * @generated
	 */
	int BUSINESS_NETWORK_COMMITMENT = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_COMMITMENT__NAME = commonPackage.NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Debtor</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_COMMITMENT__DEBTOR = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Creditor</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_COMMITMENT__CREDITOR = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Connection</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_COMMITMENT__CONNECTION = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Product</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_COMMITMENT__PRODUCT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Business Network Commitment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_COMMITMENT_FEATURE_COUNT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkActionImpl <em>Business Network Action</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkActionImpl
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.businessnetworkarchitecturePackageImpl#getBusinessNetworkAction()
	 * @generated
	 */
	int BUSINESS_NETWORK_ACTION = 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_ACTION__NAME = commonPackage.NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Transaction</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_ACTION__TRANSACTION = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Predecessor</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_ACTION__PREDECESSOR = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Business Network Action</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_ACTION_FEATURE_COUNT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkRoleImpl <em>Business Network Role</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkRoleImpl
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.businessnetworkarchitecturePackageImpl#getBusinessNetworkRole()
	 * @generated
	 */
	int BUSINESS_NETWORK_ROLE = 3;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_ROLE__NAME = commonPackage.NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Commitments</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_ROLE__COMMITMENTS = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Business Network Role</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_ROLE_FEATURE_COUNT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkConnectionImpl <em>Business Network Connection</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkConnectionImpl
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.businessnetworkarchitecturePackageImpl#getBusinessNetworkConnection()
	 * @generated
	 */
	int BUSINESS_NETWORK_CONNECTION = 4;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_CONNECTION__NAME = commonPackage.NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Servicerole</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_CONNECTION__SERVICEROLE = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Business Network Connection</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_CONNECTION_FEATURE_COUNT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.EpochImpl <em>Epoch</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.EpochImpl
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.businessnetworkarchitecturePackageImpl#getEpoch()
	 * @generated
	 */
	int EPOCH = 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH__NAME = commonPackage.NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Action</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH__ACTION = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Epoch</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_FEATURE_COUNT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkTransactionImpl <em>Business Network Transaction</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkTransactionImpl
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.businessnetworkarchitecturePackageImpl#getBusinessNetworkTransaction()
	 * @generated
	 */
	int BUSINESS_NETWORK_TRANSACTION = 6;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_TRANSACTION__NAME = commonPackage.NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Action</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_TRANSACTION__ACTION = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Business Network Transaction</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_NETWORK_TRANSACTION_FEATURE_COUNT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 1;


	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkArchitecture <em>Business Network Architecture</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Business Network Architecture</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkArchitecture
	 * @generated
	 */
	EClass getBusinessNetworkArchitecture();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkArchitecture#getConnections <em>Connections</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Connections</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkArchitecture#getConnections()
	 * @see #getBusinessNetworkArchitecture()
	 * @generated
	 */
	EReference getBusinessNetworkArchitecture_Connections();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkArchitecture#getTransactions <em>Transactions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Transactions</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkArchitecture#getTransactions()
	 * @see #getBusinessNetworkArchitecture()
	 * @generated
	 */
	EReference getBusinessNetworkArchitecture_Transactions();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkArchitecture#getActions <em>Actions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Actions</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkArchitecture#getActions()
	 * @see #getBusinessNetworkArchitecture()
	 * @generated
	 */
	EReference getBusinessNetworkArchitecture_Actions();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkArchitecture#getRoles <em>Roles</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Roles</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkArchitecture#getRoles()
	 * @see #getBusinessNetworkArchitecture()
	 * @generated
	 */
	EReference getBusinessNetworkArchitecture_Roles();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkCommitment <em>Business Network Commitment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Business Network Commitment</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkCommitment
	 * @generated
	 */
	EClass getBusinessNetworkCommitment();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkCommitment#getDebtor <em>Debtor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Debtor</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkCommitment#getDebtor()
	 * @see #getBusinessNetworkCommitment()
	 * @generated
	 */
	EReference getBusinessNetworkCommitment_Debtor();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkCommitment#getCreditor <em>Creditor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Creditor</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkCommitment#getCreditor()
	 * @see #getBusinessNetworkCommitment()
	 * @generated
	 */
	EReference getBusinessNetworkCommitment_Creditor();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkCommitment#getConnection <em>Connection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Connection</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkCommitment#getConnection()
	 * @see #getBusinessNetworkCommitment()
	 * @generated
	 */
	EReference getBusinessNetworkCommitment_Connection();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkCommitment#getProduct <em>Product</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Product</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkCommitment#getProduct()
	 * @see #getBusinessNetworkCommitment()
	 * @generated
	 */
	EReference getBusinessNetworkCommitment_Product();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkAction <em>Business Network Action</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Business Network Action</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkAction
	 * @generated
	 */
	EClass getBusinessNetworkAction();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkAction#getTransaction <em>Transaction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Transaction</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkAction#getTransaction()
	 * @see #getBusinessNetworkAction()
	 * @generated
	 */
	EReference getBusinessNetworkAction_Transaction();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkAction#getPredecessor <em>Predecessor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Predecessor</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkAction#getPredecessor()
	 * @see #getBusinessNetworkAction()
	 * @generated
	 */
	EReference getBusinessNetworkAction_Predecessor();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkRole <em>Business Network Role</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Business Network Role</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkRole
	 * @generated
	 */
	EClass getBusinessNetworkRole();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkRole#getCommitments <em>Commitments</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Commitments</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkRole#getCommitments()
	 * @see #getBusinessNetworkRole()
	 * @generated
	 */
	EReference getBusinessNetworkRole_Commitments();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkConnection <em>Business Network Connection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Business Network Connection</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkConnection
	 * @generated
	 */
	EClass getBusinessNetworkConnection();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkConnection#getServicerole <em>Servicerole</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Servicerole</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkConnection#getServicerole()
	 * @see #getBusinessNetworkConnection()
	 * @generated
	 */
	EReference getBusinessNetworkConnection_Servicerole();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.Epoch <em>Epoch</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Epoch</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.Epoch
	 * @generated
	 */
	EClass getEpoch();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.Epoch#getAction <em>Action</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Action</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.Epoch#getAction()
	 * @see #getEpoch()
	 * @generated
	 */
	EReference getEpoch_Action();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkTransaction <em>Business Network Transaction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Business Network Transaction</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkTransaction
	 * @generated
	 */
	EClass getBusinessNetworkTransaction();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkTransaction#getAction <em>Action</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Action</em>'.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkTransaction#getAction()
	 * @see #getBusinessNetworkTransaction()
	 * @generated
	 */
	EReference getBusinessNetworkTransaction_Action();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	businessnetworkarchitectureFactory getbusinessnetworkarchitectureFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkArchitectureImpl <em>Business Network Architecture</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkArchitectureImpl
		 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.businessnetworkarchitecturePackageImpl#getBusinessNetworkArchitecture()
		 * @generated
		 */
		EClass BUSINESS_NETWORK_ARCHITECTURE = eINSTANCE.getBusinessNetworkArchitecture();

		/**
		 * The meta object literal for the '<em><b>Connections</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUSINESS_NETWORK_ARCHITECTURE__CONNECTIONS = eINSTANCE.getBusinessNetworkArchitecture_Connections();

		/**
		 * The meta object literal for the '<em><b>Transactions</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUSINESS_NETWORK_ARCHITECTURE__TRANSACTIONS = eINSTANCE.getBusinessNetworkArchitecture_Transactions();

		/**
		 * The meta object literal for the '<em><b>Actions</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUSINESS_NETWORK_ARCHITECTURE__ACTIONS = eINSTANCE.getBusinessNetworkArchitecture_Actions();

		/**
		 * The meta object literal for the '<em><b>Roles</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUSINESS_NETWORK_ARCHITECTURE__ROLES = eINSTANCE.getBusinessNetworkArchitecture_Roles();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkCommitmentImpl <em>Business Network Commitment</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkCommitmentImpl
		 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.businessnetworkarchitecturePackageImpl#getBusinessNetworkCommitment()
		 * @generated
		 */
		EClass BUSINESS_NETWORK_COMMITMENT = eINSTANCE.getBusinessNetworkCommitment();

		/**
		 * The meta object literal for the '<em><b>Debtor</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUSINESS_NETWORK_COMMITMENT__DEBTOR = eINSTANCE.getBusinessNetworkCommitment_Debtor();

		/**
		 * The meta object literal for the '<em><b>Creditor</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUSINESS_NETWORK_COMMITMENT__CREDITOR = eINSTANCE.getBusinessNetworkCommitment_Creditor();

		/**
		 * The meta object literal for the '<em><b>Connection</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUSINESS_NETWORK_COMMITMENT__CONNECTION = eINSTANCE.getBusinessNetworkCommitment_Connection();

		/**
		 * The meta object literal for the '<em><b>Product</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUSINESS_NETWORK_COMMITMENT__PRODUCT = eINSTANCE.getBusinessNetworkCommitment_Product();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkActionImpl <em>Business Network Action</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkActionImpl
		 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.businessnetworkarchitecturePackageImpl#getBusinessNetworkAction()
		 * @generated
		 */
		EClass BUSINESS_NETWORK_ACTION = eINSTANCE.getBusinessNetworkAction();

		/**
		 * The meta object literal for the '<em><b>Transaction</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUSINESS_NETWORK_ACTION__TRANSACTION = eINSTANCE.getBusinessNetworkAction_Transaction();

		/**
		 * The meta object literal for the '<em><b>Predecessor</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUSINESS_NETWORK_ACTION__PREDECESSOR = eINSTANCE.getBusinessNetworkAction_Predecessor();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkRoleImpl <em>Business Network Role</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkRoleImpl
		 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.businessnetworkarchitecturePackageImpl#getBusinessNetworkRole()
		 * @generated
		 */
		EClass BUSINESS_NETWORK_ROLE = eINSTANCE.getBusinessNetworkRole();

		/**
		 * The meta object literal for the '<em><b>Commitments</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUSINESS_NETWORK_ROLE__COMMITMENTS = eINSTANCE.getBusinessNetworkRole_Commitments();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkConnectionImpl <em>Business Network Connection</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkConnectionImpl
		 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.businessnetworkarchitecturePackageImpl#getBusinessNetworkConnection()
		 * @generated
		 */
		EClass BUSINESS_NETWORK_CONNECTION = eINSTANCE.getBusinessNetworkConnection();

		/**
		 * The meta object literal for the '<em><b>Servicerole</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUSINESS_NETWORK_CONNECTION__SERVICEROLE = eINSTANCE.getBusinessNetworkConnection_Servicerole();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.EpochImpl <em>Epoch</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.EpochImpl
		 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.businessnetworkarchitecturePackageImpl#getEpoch()
		 * @generated
		 */
		EClass EPOCH = eINSTANCE.getEpoch();

		/**
		 * The meta object literal for the '<em><b>Action</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EPOCH__ACTION = eINSTANCE.getEpoch_Action();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkTransactionImpl <em>Business Network Transaction</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkTransactionImpl
		 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.impl.businessnetworkarchitecturePackageImpl#getBusinessNetworkTransaction()
		 * @generated
		 */
		EClass BUSINESS_NETWORK_TRANSACTION = eINSTANCE.getBusinessNetworkTransaction();

		/**
		 * The meta object literal for the '<em><b>Action</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUSINESS_NETWORK_TRANSACTION__ACTION = eINSTANCE.getBusinessNetworkTransaction_Action();

	}

} //businessnetworkarchitecturePackage
