/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.common.businessnetworkarchitecture.impl;

import java.util.Collection;

import org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkAction;
import org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkArchitecture;
import org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkConnection;
import org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkRole;
import org.cinco.pilarcos.common.businessnetworkarchitecture.Epoch;
import org.cinco.pilarcos.common.businessnetworkarchitecture.businessnetworkarchitecturePackage;

import org.cinco.pilarcos.common.common.impl.NamedElementImpl;

import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Business Network Architecture</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkArchitectureImpl#getConnections <em>Connections</em>}</li>
 *   <li>{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkArchitectureImpl#getTransactions <em>Transactions</em>}</li>
 *   <li>{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkArchitectureImpl#getActions <em>Actions</em>}</li>
 *   <li>{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkArchitectureImpl#getRoles <em>Roles</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class BusinessNetworkArchitectureImpl extends NamedElementImpl implements BusinessNetworkArchitecture {
	/**
	 * The cached value of the '{@link #getConnections() <em>Connections</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getConnections()
	 * @generated
	 * @ordered
	 */
	protected EList<BusinessNetworkConnection> connections;

	/**
	 * The cached value of the '{@link #getTransactions() <em>Transactions</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTransactions()
	 * @generated
	 * @ordered
	 */
	protected EList<Epoch> transactions;

	/**
	 * The cached value of the '{@link #getActions() <em>Actions</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getActions()
	 * @generated
	 * @ordered
	 */
	protected EList<BusinessNetworkAction> actions;

	/**
	 * The cached value of the '{@link #getRoles() <em>Roles</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRoles()
	 * @generated
	 * @ordered
	 */
	protected EList<BusinessNetworkRole> roles;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected BusinessNetworkArchitectureImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return businessnetworkarchitecturePackage.Literals.BUSINESS_NETWORK_ARCHITECTURE;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<BusinessNetworkConnection> getConnections() {
		if (connections == null) {
			connections = new EObjectContainmentEList<BusinessNetworkConnection>(BusinessNetworkConnection.class, this, businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__CONNECTIONS);
		}
		return connections;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<Epoch> getTransactions() {
		if (transactions == null) {
			transactions = new EObjectContainmentEList<Epoch>(Epoch.class, this, businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__TRANSACTIONS);
		}
		return transactions;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<BusinessNetworkAction> getActions() {
		if (actions == null) {
			actions = new EObjectContainmentEList<BusinessNetworkAction>(BusinessNetworkAction.class, this, businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__ACTIONS);
		}
		return actions;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<BusinessNetworkRole> getRoles() {
		if (roles == null) {
			roles = new EObjectContainmentEList<BusinessNetworkRole>(BusinessNetworkRole.class, this, businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__ROLES);
		}
		return roles;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__CONNECTIONS:
				return ((InternalEList<?>)getConnections()).basicRemove(otherEnd, msgs);
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__TRANSACTIONS:
				return ((InternalEList<?>)getTransactions()).basicRemove(otherEnd, msgs);
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__ACTIONS:
				return ((InternalEList<?>)getActions()).basicRemove(otherEnd, msgs);
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__ROLES:
				return ((InternalEList<?>)getRoles()).basicRemove(otherEnd, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__CONNECTIONS:
				return getConnections();
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__TRANSACTIONS:
				return getTransactions();
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__ACTIONS:
				return getActions();
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__ROLES:
				return getRoles();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__CONNECTIONS:
				getConnections().clear();
				getConnections().addAll((Collection<? extends BusinessNetworkConnection>)newValue);
				return;
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__TRANSACTIONS:
				getTransactions().clear();
				getTransactions().addAll((Collection<? extends Epoch>)newValue);
				return;
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__ACTIONS:
				getActions().clear();
				getActions().addAll((Collection<? extends BusinessNetworkAction>)newValue);
				return;
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__ROLES:
				getRoles().clear();
				getRoles().addAll((Collection<? extends BusinessNetworkRole>)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__CONNECTIONS:
				getConnections().clear();
				return;
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__TRANSACTIONS:
				getTransactions().clear();
				return;
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__ACTIONS:
				getActions().clear();
				return;
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__ROLES:
				getRoles().clear();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__CONNECTIONS:
				return connections != null && !connections.isEmpty();
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__TRANSACTIONS:
				return transactions != null && !transactions.isEmpty();
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__ACTIONS:
				return actions != null && !actions.isEmpty();
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE__ROLES:
				return roles != null && !roles.isEmpty();
		}
		return super.eIsSet(featureID);
	}

} //BusinessNetworkArchitectureImpl
