/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.common.businessnetworkarchitecture.impl;

import org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkCommitment;
import org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkConnection;
import org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkRole;
import org.cinco.pilarcos.common.businessnetworkarchitecture.businessnetworkarchitecturePackage;

import org.cinco.pilarcos.common.common.impl.NamedElementImpl;

import org.cinco.pilarcos.common.epochtransitionchoreography.BusinessDocumentKind;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Business Network Commitment</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkCommitmentImpl#getDebtor <em>Debtor</em>}</li>
 *   <li>{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkCommitmentImpl#getCreditor <em>Creditor</em>}</li>
 *   <li>{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkCommitmentImpl#getConnection <em>Connection</em>}</li>
 *   <li>{@link org.cinco.pilarcos.common.businessnetworkarchitecture.impl.BusinessNetworkCommitmentImpl#getProduct <em>Product</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class BusinessNetworkCommitmentImpl extends NamedElementImpl implements BusinessNetworkCommitment {
	/**
	 * The cached value of the '{@link #getDebtor() <em>Debtor</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDebtor()
	 * @generated
	 * @ordered
	 */
	protected BusinessNetworkRole debtor;

	/**
	 * The cached value of the '{@link #getCreditor() <em>Creditor</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCreditor()
	 * @generated
	 * @ordered
	 */
	protected BusinessNetworkRole creditor;

	/**
	 * The cached value of the '{@link #getConnection() <em>Connection</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getConnection()
	 * @generated
	 * @ordered
	 */
	protected BusinessNetworkConnection connection;

	/**
	 * The cached value of the '{@link #getProduct() <em>Product</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getProduct()
	 * @generated
	 * @ordered
	 */
	protected BusinessDocumentKind product;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected BusinessNetworkCommitmentImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return businessnetworkarchitecturePackage.Literals.BUSINESS_NETWORK_COMMITMENT;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BusinessNetworkRole getDebtor() {
		if (debtor != null && debtor.eIsProxy()) {
			InternalEObject oldDebtor = (InternalEObject)debtor;
			debtor = (BusinessNetworkRole)eResolveProxy(oldDebtor);
			if (debtor != oldDebtor) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__DEBTOR, oldDebtor, debtor));
			}
		}
		return debtor;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BusinessNetworkRole basicGetDebtor() {
		return debtor;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDebtor(BusinessNetworkRole newDebtor) {
		BusinessNetworkRole oldDebtor = debtor;
		debtor = newDebtor;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__DEBTOR, oldDebtor, debtor));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BusinessNetworkRole getCreditor() {
		if (creditor != null && creditor.eIsProxy()) {
			InternalEObject oldCreditor = (InternalEObject)creditor;
			creditor = (BusinessNetworkRole)eResolveProxy(oldCreditor);
			if (creditor != oldCreditor) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__CREDITOR, oldCreditor, creditor));
			}
		}
		return creditor;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BusinessNetworkRole basicGetCreditor() {
		return creditor;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCreditor(BusinessNetworkRole newCreditor) {
		BusinessNetworkRole oldCreditor = creditor;
		creditor = newCreditor;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__CREDITOR, oldCreditor, creditor));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BusinessNetworkConnection getConnection() {
		if (connection != null && connection.eIsProxy()) {
			InternalEObject oldConnection = (InternalEObject)connection;
			connection = (BusinessNetworkConnection)eResolveProxy(oldConnection);
			if (connection != oldConnection) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__CONNECTION, oldConnection, connection));
			}
		}
		return connection;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BusinessNetworkConnection basicGetConnection() {
		return connection;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setConnection(BusinessNetworkConnection newConnection) {
		BusinessNetworkConnection oldConnection = connection;
		connection = newConnection;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__CONNECTION, oldConnection, connection));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BusinessDocumentKind getProduct() {
		return product;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetProduct(BusinessDocumentKind newProduct, NotificationChain msgs) {
		BusinessDocumentKind oldProduct = product;
		product = newProduct;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__PRODUCT, oldProduct, newProduct);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setProduct(BusinessDocumentKind newProduct) {
		if (newProduct != product) {
			NotificationChain msgs = null;
			if (product != null)
				msgs = ((InternalEObject)product).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__PRODUCT, null, msgs);
			if (newProduct != null)
				msgs = ((InternalEObject)newProduct).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__PRODUCT, null, msgs);
			msgs = basicSetProduct(newProduct, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__PRODUCT, newProduct, newProduct));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__PRODUCT:
				return basicSetProduct(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__DEBTOR:
				if (resolve) return getDebtor();
				return basicGetDebtor();
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__CREDITOR:
				if (resolve) return getCreditor();
				return basicGetCreditor();
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__CONNECTION:
				if (resolve) return getConnection();
				return basicGetConnection();
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__PRODUCT:
				return getProduct();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__DEBTOR:
				setDebtor((BusinessNetworkRole)newValue);
				return;
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__CREDITOR:
				setCreditor((BusinessNetworkRole)newValue);
				return;
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__CONNECTION:
				setConnection((BusinessNetworkConnection)newValue);
				return;
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__PRODUCT:
				setProduct((BusinessDocumentKind)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__DEBTOR:
				setDebtor((BusinessNetworkRole)null);
				return;
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__CREDITOR:
				setCreditor((BusinessNetworkRole)null);
				return;
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__CONNECTION:
				setConnection((BusinessNetworkConnection)null);
				return;
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__PRODUCT:
				setProduct((BusinessDocumentKind)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__DEBTOR:
				return debtor != null;
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__CREDITOR:
				return creditor != null;
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__CONNECTION:
				return connection != null;
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT__PRODUCT:
				return product != null;
		}
		return super.eIsSet(featureID);
	}

} //BusinessNetworkCommitmentImpl
