/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.common.businessnetworkarchitecture.util;

import org.cinco.pilarcos.common.businessnetworkarchitecture.*;

import org.cinco.pilarcos.common.common.NamedElement;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.businessnetworkarchitecturePackage
 * @generated
 */
public class businessnetworkarchitectureAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static businessnetworkarchitecturePackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public businessnetworkarchitectureAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = businessnetworkarchitecturePackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected businessnetworkarchitectureSwitch<Adapter> modelSwitch =
		new businessnetworkarchitectureSwitch<Adapter>() {
			@Override
			public Adapter caseBusinessNetworkArchitecture(BusinessNetworkArchitecture object) {
				return createBusinessNetworkArchitectureAdapter();
			}
			@Override
			public Adapter caseBusinessNetworkCommitment(BusinessNetworkCommitment object) {
				return createBusinessNetworkCommitmentAdapter();
			}
			@Override
			public Adapter caseBusinessNetworkAction(BusinessNetworkAction object) {
				return createBusinessNetworkActionAdapter();
			}
			@Override
			public Adapter caseBusinessNetworkRole(BusinessNetworkRole object) {
				return createBusinessNetworkRoleAdapter();
			}
			@Override
			public Adapter caseBusinessNetworkConnection(BusinessNetworkConnection object) {
				return createBusinessNetworkConnectionAdapter();
			}
			@Override
			public Adapter caseEpoch(Epoch object) {
				return createEpochAdapter();
			}
			@Override
			public Adapter caseBusinessNetworkTransaction(BusinessNetworkTransaction object) {
				return createBusinessNetworkTransactionAdapter();
			}
			@Override
			public Adapter caseNamedElement(NamedElement object) {
				return createNamedElementAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkArchitecture <em>Business Network Architecture</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkArchitecture
	 * @generated
	 */
	public Adapter createBusinessNetworkArchitectureAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkCommitment <em>Business Network Commitment</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkCommitment
	 * @generated
	 */
	public Adapter createBusinessNetworkCommitmentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkAction <em>Business Network Action</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkAction
	 * @generated
	 */
	public Adapter createBusinessNetworkActionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkRole <em>Business Network Role</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkRole
	 * @generated
	 */
	public Adapter createBusinessNetworkRoleAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkConnection <em>Business Network Connection</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkConnection
	 * @generated
	 */
	public Adapter createBusinessNetworkConnectionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.Epoch <em>Epoch</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.Epoch
	 * @generated
	 */
	public Adapter createEpochAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkTransaction <em>Business Network Transaction</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.BusinessNetworkTransaction
	 * @generated
	 */
	public Adapter createBusinessNetworkTransactionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.common.NamedElement <em>Named Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.common.NamedElement
	 * @generated
	 */
	public Adapter createNamedElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //businessnetworkarchitectureAdapterFactory
