/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.common.businessnetworkarchitecture.util;

import java.util.List;

import org.cinco.pilarcos.common.businessnetworkarchitecture.*;

import org.cinco.pilarcos.common.common.NamedElement;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.common.businessnetworkarchitecture.businessnetworkarchitecturePackage
 * @generated
 */
public class businessnetworkarchitectureSwitch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static businessnetworkarchitecturePackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public businessnetworkarchitectureSwitch() {
		if (modelPackage == null) {
			modelPackage = businessnetworkarchitecturePackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public T doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List<EClass> eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch(eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ARCHITECTURE: {
				BusinessNetworkArchitecture businessNetworkArchitecture = (BusinessNetworkArchitecture)theEObject;
				T result = caseBusinessNetworkArchitecture(businessNetworkArchitecture);
				if (result == null) result = caseNamedElement(businessNetworkArchitecture);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_COMMITMENT: {
				BusinessNetworkCommitment businessNetworkCommitment = (BusinessNetworkCommitment)theEObject;
				T result = caseBusinessNetworkCommitment(businessNetworkCommitment);
				if (result == null) result = caseNamedElement(businessNetworkCommitment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ACTION: {
				BusinessNetworkAction businessNetworkAction = (BusinessNetworkAction)theEObject;
				T result = caseBusinessNetworkAction(businessNetworkAction);
				if (result == null) result = caseNamedElement(businessNetworkAction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_ROLE: {
				BusinessNetworkRole businessNetworkRole = (BusinessNetworkRole)theEObject;
				T result = caseBusinessNetworkRole(businessNetworkRole);
				if (result == null) result = caseNamedElement(businessNetworkRole);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_CONNECTION: {
				BusinessNetworkConnection businessNetworkConnection = (BusinessNetworkConnection)theEObject;
				T result = caseBusinessNetworkConnection(businessNetworkConnection);
				if (result == null) result = caseNamedElement(businessNetworkConnection);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case businessnetworkarchitecturePackage.EPOCH: {
				Epoch epoch = (Epoch)theEObject;
				T result = caseEpoch(epoch);
				if (result == null) result = caseNamedElement(epoch);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case businessnetworkarchitecturePackage.BUSINESS_NETWORK_TRANSACTION: {
				BusinessNetworkTransaction businessNetworkTransaction = (BusinessNetworkTransaction)theEObject;
				T result = caseBusinessNetworkTransaction(businessNetworkTransaction);
				if (result == null) result = caseNamedElement(businessNetworkTransaction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Network Architecture</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Network Architecture</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBusinessNetworkArchitecture(BusinessNetworkArchitecture object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Network Commitment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Network Commitment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBusinessNetworkCommitment(BusinessNetworkCommitment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Network Action</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Network Action</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBusinessNetworkAction(BusinessNetworkAction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Network Role</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Network Role</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBusinessNetworkRole(BusinessNetworkRole object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Network Connection</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Network Connection</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBusinessNetworkConnection(BusinessNetworkConnection object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Epoch</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Epoch</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEpoch(Epoch object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Network Transaction</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Network Transaction</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBusinessNetworkTransaction(BusinessNetworkTransaction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public T defaultCase(EObject object) {
		return null;
	}

} //businessnetworkarchitectureSwitch
