/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.common.common;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.common.common.commonFactory
 * @model kind="package"
 * @generated
 */
public interface commonPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "common";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://cinco.org/pilarcos/metamodel/common";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "common";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	commonPackage eINSTANCE = org.cinco.pilarcos.common.common.impl.commonPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.common.common.impl.NamedElementImpl <em>Named Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.common.common.impl.NamedElementImpl
	 * @see org.cinco.pilarcos.common.common.impl.commonPackageImpl#getNamedElement()
	 * @generated
	 */
	int NAMED_ELEMENT = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMED_ELEMENT__NAME = 0;

	/**
	 * The number of structural features of the '<em>Named Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMED_ELEMENT_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.common.common.impl.PilarcosServiceLinkImpl <em>Pilarcos Service Link</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.common.common.impl.PilarcosServiceLinkImpl
	 * @see org.cinco.pilarcos.common.common.impl.commonPackageImpl#getPilarcosServiceLink()
	 * @generated
	 */
	int PILARCOS_SERVICE_LINK = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_SERVICE_LINK__NAME = NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Connection</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_SERVICE_LINK__CONNECTION = NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Port</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_SERVICE_LINK__PORT = NAMED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Servicerole</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_SERVICE_LINK__SERVICEROLE = NAMED_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Pilarcos Service Link</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_SERVICE_LINK_FEATURE_COUNT = NAMED_ELEMENT_FEATURE_COUNT + 3;


	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.common.common.NamedElement <em>Named Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Named Element</em>'.
	 * @see org.cinco.pilarcos.common.common.NamedElement
	 * @generated
	 */
	EClass getNamedElement();

	/**
	 * Returns the meta object for the attribute '{@link org.cinco.pilarcos.common.common.NamedElement#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.cinco.pilarcos.common.common.NamedElement#getName()
	 * @see #getNamedElement()
	 * @generated
	 */
	EAttribute getNamedElement_Name();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.common.common.PilarcosServiceLink <em>Pilarcos Service Link</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Pilarcos Service Link</em>'.
	 * @see org.cinco.pilarcos.common.common.PilarcosServiceLink
	 * @generated
	 */
	EClass getPilarcosServiceLink();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.common.common.PilarcosServiceLink#getConnection <em>Connection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Connection</em>'.
	 * @see org.cinco.pilarcos.common.common.PilarcosServiceLink#getConnection()
	 * @see #getPilarcosServiceLink()
	 * @generated
	 */
	EReference getPilarcosServiceLink_Connection();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.common.common.PilarcosServiceLink#getPort <em>Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Port</em>'.
	 * @see org.cinco.pilarcos.common.common.PilarcosServiceLink#getPort()
	 * @see #getPilarcosServiceLink()
	 * @generated
	 */
	EReference getPilarcosServiceLink_Port();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.common.common.PilarcosServiceLink#getServicerole <em>Servicerole</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Servicerole</em>'.
	 * @see org.cinco.pilarcos.common.common.PilarcosServiceLink#getServicerole()
	 * @see #getPilarcosServiceLink()
	 * @generated
	 */
	EReference getPilarcosServiceLink_Servicerole();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	commonFactory getcommonFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.common.common.impl.NamedElementImpl <em>Named Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.common.common.impl.NamedElementImpl
		 * @see org.cinco.pilarcos.common.common.impl.commonPackageImpl#getNamedElement()
		 * @generated
		 */
		EClass NAMED_ELEMENT = eINSTANCE.getNamedElement();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute NAMED_ELEMENT__NAME = eINSTANCE.getNamedElement_Name();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.common.common.impl.PilarcosServiceLinkImpl <em>Pilarcos Service Link</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.common.common.impl.PilarcosServiceLinkImpl
		 * @see org.cinco.pilarcos.common.common.impl.commonPackageImpl#getPilarcosServiceLink()
		 * @generated
		 */
		EClass PILARCOS_SERVICE_LINK = eINSTANCE.getPilarcosServiceLink();

		/**
		 * The meta object literal for the '<em><b>Connection</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PILARCOS_SERVICE_LINK__CONNECTION = eINSTANCE.getPilarcosServiceLink_Connection();

		/**
		 * The meta object literal for the '<em><b>Port</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PILARCOS_SERVICE_LINK__PORT = eINSTANCE.getPilarcosServiceLink_Port();

		/**
		 * The meta object literal for the '<em><b>Servicerole</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PILARCOS_SERVICE_LINK__SERVICEROLE = eINSTANCE.getPilarcosServiceLink_Servicerole();

	}

} //commonPackage
