/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.common.epochtransitionchoreography;

import org.cinco.pilarcos.common.common.commonPackage;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.common.epochtransitionchoreography.epochtransitionchoreographyFactory
 * @model kind="package"
 * @generated
 */
public interface epochtransitionchoreographyPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "epochtransitionchoreography";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://cinco.org/pilarcos/metamodel/common/epochtransitionchoreography";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "epochtransitionchoreography";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	epochtransitionchoreographyPackage eINSTANCE = org.cinco.pilarcos.common.epochtransitionchoreography.impl.epochtransitionchoreographyPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionChoreographyImpl <em>Epoch Transition Choreography</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionChoreographyImpl
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.epochtransitionchoreographyPackageImpl#getEpochTransitionChoreography()
	 * @generated
	 */
	int EPOCH_TRANSITION_CHOREOGRAPHY = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_CHOREOGRAPHY__NAME = commonPackage.NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Connections</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_CHOREOGRAPHY__CONNECTIONS = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Transactions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_CHOREOGRAPHY__TRANSACTIONS = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Actions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_CHOREOGRAPHY__ACTIONS = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Roles</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_CHOREOGRAPHY__ROLES = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Epoch Transition Choreography</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_CHOREOGRAPHY_FEATURE_COUNT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionCommitmentImpl <em>Epoch Transition Commitment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionCommitmentImpl
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.epochtransitionchoreographyPackageImpl#getEpochTransitionCommitment()
	 * @generated
	 */
	int EPOCH_TRANSITION_COMMITMENT = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_COMMITMENT__NAME = commonPackage.NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Debtor</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_COMMITMENT__DEBTOR = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Creditor</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_COMMITMENT__CREDITOR = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Connection</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_COMMITMENT__CONNECTION = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Product</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_COMMITMENT__PRODUCT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Epoch Transition Commitment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_COMMITMENT_FEATURE_COUNT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.common.epochtransitionchoreography.impl.BusinessDocumentKindImpl <em>Business Document Kind</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.BusinessDocumentKindImpl
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.epochtransitionchoreographyPackageImpl#getBusinessDocumentKind()
	 * @generated
	 */
	int BUSINESS_DOCUMENT_KIND = 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_DOCUMENT_KIND__NAME = commonPackage.NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Document</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_DOCUMENT_KIND__DOCUMENT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Business Document Kind</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_DOCUMENT_KIND_FEATURE_COUNT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionActionImpl <em>Epoch Transition Action</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionActionImpl
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.epochtransitionchoreographyPackageImpl#getEpochTransitionAction()
	 * @generated
	 */
	int EPOCH_TRANSITION_ACTION = 3;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_ACTION__NAME = commonPackage.NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Transaction</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_ACTION__TRANSACTION = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Predecessor</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_ACTION__PREDECESSOR = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Epoch Transition Action</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_ACTION_FEATURE_COUNT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionRoleImpl <em>Epoch Transition Role</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionRoleImpl
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.epochtransitionchoreographyPackageImpl#getEpochTransitionRole()
	 * @generated
	 */
	int EPOCH_TRANSITION_ROLE = 4;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_ROLE__NAME = commonPackage.NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Commitments</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_ROLE__COMMITMENTS = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Epoch Transition Role</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_ROLE_FEATURE_COUNT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionConnectionImpl <em>Epoch Transition Connection</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionConnectionImpl
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.epochtransitionchoreographyPackageImpl#getEpochTransitionConnection()
	 * @generated
	 */
	int EPOCH_TRANSITION_CONNECTION = 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_CONNECTION__NAME = commonPackage.NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Servicerole</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_CONNECTION__SERVICEROLE = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Epoch Transition Connection</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_CONNECTION_FEATURE_COUNT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransactionImpl <em>Epoch Transaction</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransactionImpl
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.epochtransitionchoreographyPackageImpl#getEpochTransaction()
	 * @generated
	 */
	int EPOCH_TRANSACTION = 6;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSACTION__NAME = commonPackage.NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Action</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSACTION__ACTION = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Epoch Transaction</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSACTION_FEATURE_COUNT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 1;


	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionChoreography <em>Epoch Transition Choreography</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Epoch Transition Choreography</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionChoreography
	 * @generated
	 */
	EClass getEpochTransitionChoreography();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionChoreography#getConnections <em>Connections</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Connections</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionChoreography#getConnections()
	 * @see #getEpochTransitionChoreography()
	 * @generated
	 */
	EReference getEpochTransitionChoreography_Connections();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionChoreography#getTransactions <em>Transactions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Transactions</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionChoreography#getTransactions()
	 * @see #getEpochTransitionChoreography()
	 * @generated
	 */
	EReference getEpochTransitionChoreography_Transactions();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionChoreography#getActions <em>Actions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Actions</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionChoreography#getActions()
	 * @see #getEpochTransitionChoreography()
	 * @generated
	 */
	EReference getEpochTransitionChoreography_Actions();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionChoreography#getRoles <em>Roles</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Roles</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionChoreography#getRoles()
	 * @see #getEpochTransitionChoreography()
	 * @generated
	 */
	EReference getEpochTransitionChoreography_Roles();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionCommitment <em>Epoch Transition Commitment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Epoch Transition Commitment</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionCommitment
	 * @generated
	 */
	EClass getEpochTransitionCommitment();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionCommitment#getDebtor <em>Debtor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Debtor</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionCommitment#getDebtor()
	 * @see #getEpochTransitionCommitment()
	 * @generated
	 */
	EReference getEpochTransitionCommitment_Debtor();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionCommitment#getCreditor <em>Creditor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Creditor</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionCommitment#getCreditor()
	 * @see #getEpochTransitionCommitment()
	 * @generated
	 */
	EReference getEpochTransitionCommitment_Creditor();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionCommitment#getConnection <em>Connection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Connection</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionCommitment#getConnection()
	 * @see #getEpochTransitionCommitment()
	 * @generated
	 */
	EReference getEpochTransitionCommitment_Connection();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionCommitment#getProduct <em>Product</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Product</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionCommitment#getProduct()
	 * @see #getEpochTransitionCommitment()
	 * @generated
	 */
	EReference getEpochTransitionCommitment_Product();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.common.epochtransitionchoreography.BusinessDocumentKind <em>Business Document Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Business Document Kind</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.BusinessDocumentKind
	 * @generated
	 */
	EClass getBusinessDocumentKind();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.pilarcos.common.epochtransitionchoreography.BusinessDocumentKind#getDocument <em>Document</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Document</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.BusinessDocumentKind#getDocument()
	 * @see #getBusinessDocumentKind()
	 * @generated
	 */
	EReference getBusinessDocumentKind_Document();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionAction <em>Epoch Transition Action</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Epoch Transition Action</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionAction
	 * @generated
	 */
	EClass getEpochTransitionAction();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionAction#getTransaction <em>Transaction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Transaction</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionAction#getTransaction()
	 * @see #getEpochTransitionAction()
	 * @generated
	 */
	EReference getEpochTransitionAction_Transaction();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionAction#getPredecessor <em>Predecessor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Predecessor</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionAction#getPredecessor()
	 * @see #getEpochTransitionAction()
	 * @generated
	 */
	EReference getEpochTransitionAction_Predecessor();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionRole <em>Epoch Transition Role</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Epoch Transition Role</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionRole
	 * @generated
	 */
	EClass getEpochTransitionRole();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionRole#getCommitments <em>Commitments</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Commitments</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionRole#getCommitments()
	 * @see #getEpochTransitionRole()
	 * @generated
	 */
	EReference getEpochTransitionRole_Commitments();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionConnection <em>Epoch Transition Connection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Epoch Transition Connection</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionConnection
	 * @generated
	 */
	EClass getEpochTransitionConnection();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionConnection#getServicerole <em>Servicerole</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Servicerole</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionConnection#getServicerole()
	 * @see #getEpochTransitionConnection()
	 * @generated
	 */
	EReference getEpochTransitionConnection_Servicerole();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransaction <em>Epoch Transaction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Epoch Transaction</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransaction
	 * @generated
	 */
	EClass getEpochTransaction();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransaction#getAction <em>Action</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Action</em>'.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransaction#getAction()
	 * @see #getEpochTransaction()
	 * @generated
	 */
	EReference getEpochTransaction_Action();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	epochtransitionchoreographyFactory getepochtransitionchoreographyFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionChoreographyImpl <em>Epoch Transition Choreography</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionChoreographyImpl
		 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.epochtransitionchoreographyPackageImpl#getEpochTransitionChoreography()
		 * @generated
		 */
		EClass EPOCH_TRANSITION_CHOREOGRAPHY = eINSTANCE.getEpochTransitionChoreography();

		/**
		 * The meta object literal for the '<em><b>Connections</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EPOCH_TRANSITION_CHOREOGRAPHY__CONNECTIONS = eINSTANCE.getEpochTransitionChoreography_Connections();

		/**
		 * The meta object literal for the '<em><b>Transactions</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EPOCH_TRANSITION_CHOREOGRAPHY__TRANSACTIONS = eINSTANCE.getEpochTransitionChoreography_Transactions();

		/**
		 * The meta object literal for the '<em><b>Actions</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EPOCH_TRANSITION_CHOREOGRAPHY__ACTIONS = eINSTANCE.getEpochTransitionChoreography_Actions();

		/**
		 * The meta object literal for the '<em><b>Roles</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EPOCH_TRANSITION_CHOREOGRAPHY__ROLES = eINSTANCE.getEpochTransitionChoreography_Roles();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionCommitmentImpl <em>Epoch Transition Commitment</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionCommitmentImpl
		 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.epochtransitionchoreographyPackageImpl#getEpochTransitionCommitment()
		 * @generated
		 */
		EClass EPOCH_TRANSITION_COMMITMENT = eINSTANCE.getEpochTransitionCommitment();

		/**
		 * The meta object literal for the '<em><b>Debtor</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EPOCH_TRANSITION_COMMITMENT__DEBTOR = eINSTANCE.getEpochTransitionCommitment_Debtor();

		/**
		 * The meta object literal for the '<em><b>Creditor</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EPOCH_TRANSITION_COMMITMENT__CREDITOR = eINSTANCE.getEpochTransitionCommitment_Creditor();

		/**
		 * The meta object literal for the '<em><b>Connection</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EPOCH_TRANSITION_COMMITMENT__CONNECTION = eINSTANCE.getEpochTransitionCommitment_Connection();

		/**
		 * The meta object literal for the '<em><b>Product</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EPOCH_TRANSITION_COMMITMENT__PRODUCT = eINSTANCE.getEpochTransitionCommitment_Product();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.common.epochtransitionchoreography.impl.BusinessDocumentKindImpl <em>Business Document Kind</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.BusinessDocumentKindImpl
		 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.epochtransitionchoreographyPackageImpl#getBusinessDocumentKind()
		 * @generated
		 */
		EClass BUSINESS_DOCUMENT_KIND = eINSTANCE.getBusinessDocumentKind();

		/**
		 * The meta object literal for the '<em><b>Document</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUSINESS_DOCUMENT_KIND__DOCUMENT = eINSTANCE.getBusinessDocumentKind_Document();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionActionImpl <em>Epoch Transition Action</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionActionImpl
		 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.epochtransitionchoreographyPackageImpl#getEpochTransitionAction()
		 * @generated
		 */
		EClass EPOCH_TRANSITION_ACTION = eINSTANCE.getEpochTransitionAction();

		/**
		 * The meta object literal for the '<em><b>Transaction</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EPOCH_TRANSITION_ACTION__TRANSACTION = eINSTANCE.getEpochTransitionAction_Transaction();

		/**
		 * The meta object literal for the '<em><b>Predecessor</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EPOCH_TRANSITION_ACTION__PREDECESSOR = eINSTANCE.getEpochTransitionAction_Predecessor();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionRoleImpl <em>Epoch Transition Role</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionRoleImpl
		 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.epochtransitionchoreographyPackageImpl#getEpochTransitionRole()
		 * @generated
		 */
		EClass EPOCH_TRANSITION_ROLE = eINSTANCE.getEpochTransitionRole();

		/**
		 * The meta object literal for the '<em><b>Commitments</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EPOCH_TRANSITION_ROLE__COMMITMENTS = eINSTANCE.getEpochTransitionRole_Commitments();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionConnectionImpl <em>Epoch Transition Connection</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransitionConnectionImpl
		 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.epochtransitionchoreographyPackageImpl#getEpochTransitionConnection()
		 * @generated
		 */
		EClass EPOCH_TRANSITION_CONNECTION = eINSTANCE.getEpochTransitionConnection();

		/**
		 * The meta object literal for the '<em><b>Servicerole</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EPOCH_TRANSITION_CONNECTION__SERVICEROLE = eINSTANCE.getEpochTransitionConnection_Servicerole();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransactionImpl <em>Epoch Transaction</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.EpochTransactionImpl
		 * @see org.cinco.pilarcos.common.epochtransitionchoreography.impl.epochtransitionchoreographyPackageImpl#getEpochTransaction()
		 * @generated
		 */
		EClass EPOCH_TRANSACTION = eINSTANCE.getEpochTransaction();

		/**
		 * The meta object literal for the '<em><b>Action</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EPOCH_TRANSACTION__ACTION = eINSTANCE.getEpochTransaction_Action();

	}

} //epochtransitionchoreographyPackage
