/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.common.epochtransitionchoreography.util;

import org.cinco.pilarcos.common.common.NamedElement;

import org.cinco.pilarcos.common.epochtransitionchoreography.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.common.epochtransitionchoreography.epochtransitionchoreographyPackage
 * @generated
 */
public class epochtransitionchoreographyAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static epochtransitionchoreographyPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public epochtransitionchoreographyAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = epochtransitionchoreographyPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected epochtransitionchoreographySwitch<Adapter> modelSwitch =
		new epochtransitionchoreographySwitch<Adapter>() {
			@Override
			public Adapter caseEpochTransitionChoreography(EpochTransitionChoreography object) {
				return createEpochTransitionChoreographyAdapter();
			}
			@Override
			public Adapter caseEpochTransitionCommitment(EpochTransitionCommitment object) {
				return createEpochTransitionCommitmentAdapter();
			}
			@Override
			public Adapter caseBusinessDocumentKind(BusinessDocumentKind object) {
				return createBusinessDocumentKindAdapter();
			}
			@Override
			public Adapter caseEpochTransitionAction(EpochTransitionAction object) {
				return createEpochTransitionActionAdapter();
			}
			@Override
			public Adapter caseEpochTransitionRole(EpochTransitionRole object) {
				return createEpochTransitionRoleAdapter();
			}
			@Override
			public Adapter caseEpochTransitionConnection(EpochTransitionConnection object) {
				return createEpochTransitionConnectionAdapter();
			}
			@Override
			public Adapter caseEpochTransaction(EpochTransaction object) {
				return createEpochTransactionAdapter();
			}
			@Override
			public Adapter caseNamedElement(NamedElement object) {
				return createNamedElementAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionChoreography <em>Epoch Transition Choreography</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionChoreography
	 * @generated
	 */
	public Adapter createEpochTransitionChoreographyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionCommitment <em>Epoch Transition Commitment</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionCommitment
	 * @generated
	 */
	public Adapter createEpochTransitionCommitmentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.epochtransitionchoreography.BusinessDocumentKind <em>Business Document Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.BusinessDocumentKind
	 * @generated
	 */
	public Adapter createBusinessDocumentKindAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionAction <em>Epoch Transition Action</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionAction
	 * @generated
	 */
	public Adapter createEpochTransitionActionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionRole <em>Epoch Transition Role</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionRole
	 * @generated
	 */
	public Adapter createEpochTransitionRoleAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionConnection <em>Epoch Transition Connection</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransitionConnection
	 * @generated
	 */
	public Adapter createEpochTransitionConnectionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransaction <em>Epoch Transaction</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.epochtransitionchoreography.EpochTransaction
	 * @generated
	 */
	public Adapter createEpochTransactionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.common.NamedElement <em>Named Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.common.NamedElement
	 * @generated
	 */
	public Adapter createNamedElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //epochtransitionchoreographyAdapterFactory
