/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.common.epochtransitionchoreography.util;

import java.util.List;

import org.cinco.pilarcos.common.common.NamedElement;

import org.cinco.pilarcos.common.epochtransitionchoreography.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.common.epochtransitionchoreography.epochtransitionchoreographyPackage
 * @generated
 */
public class epochtransitionchoreographySwitch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static epochtransitionchoreographyPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public epochtransitionchoreographySwitch() {
		if (modelPackage == null) {
			modelPackage = epochtransitionchoreographyPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public T doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List<EClass> eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch(eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case epochtransitionchoreographyPackage.EPOCH_TRANSITION_CHOREOGRAPHY: {
				EpochTransitionChoreography epochTransitionChoreography = (EpochTransitionChoreography)theEObject;
				T result = caseEpochTransitionChoreography(epochTransitionChoreography);
				if (result == null) result = caseNamedElement(epochTransitionChoreography);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case epochtransitionchoreographyPackage.EPOCH_TRANSITION_COMMITMENT: {
				EpochTransitionCommitment epochTransitionCommitment = (EpochTransitionCommitment)theEObject;
				T result = caseEpochTransitionCommitment(epochTransitionCommitment);
				if (result == null) result = caseNamedElement(epochTransitionCommitment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case epochtransitionchoreographyPackage.BUSINESS_DOCUMENT_KIND: {
				BusinessDocumentKind businessDocumentKind = (BusinessDocumentKind)theEObject;
				T result = caseBusinessDocumentKind(businessDocumentKind);
				if (result == null) result = caseNamedElement(businessDocumentKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case epochtransitionchoreographyPackage.EPOCH_TRANSITION_ACTION: {
				EpochTransitionAction epochTransitionAction = (EpochTransitionAction)theEObject;
				T result = caseEpochTransitionAction(epochTransitionAction);
				if (result == null) result = caseNamedElement(epochTransitionAction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case epochtransitionchoreographyPackage.EPOCH_TRANSITION_ROLE: {
				EpochTransitionRole epochTransitionRole = (EpochTransitionRole)theEObject;
				T result = caseEpochTransitionRole(epochTransitionRole);
				if (result == null) result = caseNamedElement(epochTransitionRole);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case epochtransitionchoreographyPackage.EPOCH_TRANSITION_CONNECTION: {
				EpochTransitionConnection epochTransitionConnection = (EpochTransitionConnection)theEObject;
				T result = caseEpochTransitionConnection(epochTransitionConnection);
				if (result == null) result = caseNamedElement(epochTransitionConnection);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case epochtransitionchoreographyPackage.EPOCH_TRANSACTION: {
				EpochTransaction epochTransaction = (EpochTransaction)theEObject;
				T result = caseEpochTransaction(epochTransaction);
				if (result == null) result = caseNamedElement(epochTransaction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Epoch Transition Choreography</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Epoch Transition Choreography</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEpochTransitionChoreography(EpochTransitionChoreography object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Epoch Transition Commitment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Epoch Transition Commitment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEpochTransitionCommitment(EpochTransitionCommitment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Document Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Document Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBusinessDocumentKind(BusinessDocumentKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Epoch Transition Action</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Epoch Transition Action</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEpochTransitionAction(EpochTransitionAction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Epoch Transition Role</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Epoch Transition Role</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEpochTransitionRole(EpochTransitionRole object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Epoch Transition Connection</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Epoch Transition Connection</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEpochTransitionConnection(EpochTransitionConnection object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Epoch Transaction</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Epoch Transaction</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEpochTransaction(EpochTransaction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public T defaultCase(EObject object) {
		return null;
	}

} //epochtransitionchoreographySwitch
