/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.contractualfeaturerepository.contractualfeature;

import org.cinco.pilarcos.common.common.commonPackage;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.contractualfeatureFactory
 * @model kind="package"
 * @generated
 */
public interface contractualfeaturePackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "contractualfeature";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://cinco.org/pilarcos/contractualfeaturerepository/itemtype";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "ContractualFeature";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	contractualfeaturePackage eINSTANCE = org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl.init();

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.ModelElementImpl <em>Model Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.ModelElementImpl
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl#getModelElement()
	 * @generated
	 */
	int MODEL_ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Model Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.ContractualFeatureImpl <em>Contractual Feature</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.ContractualFeatureImpl
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl#getContractualFeature()
	 * @generated
	 */
	int CONTRACTUAL_FEATURE = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_FEATURE__NAME = commonPackage.NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_FEATURE__ELEMENTS = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Contractual Feature</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_FEATURE_FEATURE_COUNT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.PilarcosSettlementModelKindImpl <em>Pilarcos Settlement Model Kind</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.PilarcosSettlementModelKindImpl
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl#getPilarcosSettlementModelKind()
	 * @generated
	 */
	int PILARCOS_SETTLEMENT_MODEL_KIND = 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_SETTLEMENT_MODEL_KIND__NAME = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Pilarcos Settlement Model Kind</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_SETTLEMENT_MODEL_KIND_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.EpochTransitionCoordinationKindImpl <em>Epoch Transition Coordination Kind</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.EpochTransitionCoordinationKindImpl
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl#getEpochTransitionCoordinationKind()
	 * @generated
	 */
	int EPOCH_TRANSITION_COORDINATION_KIND = 3;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_COORDINATION_KIND__NAME = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Epoch Transition Coordination Kind</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_COORDINATION_KIND_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.PilarcosSpatialAvailabilityKindImpl <em>Pilarcos Spatial Availability Kind</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.PilarcosSpatialAvailabilityKindImpl
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl#getPilarcosSpatialAvailabilityKind()
	 * @generated
	 */
	int PILARCOS_SPATIAL_AVAILABILITY_KIND = 4;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_SPATIAL_AVAILABILITY_KIND__NAME = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Pilarcos Spatial Availability Kind</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_SPATIAL_AVAILABILITY_KIND_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.BreachRecoveryCoordinationKindImpl <em>Breach Recovery Coordination Kind</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.BreachRecoveryCoordinationKindImpl
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl#getBreachRecoveryCoordinationKind()
	 * @generated
	 */
	int BREACH_RECOVERY_COORDINATION_KIND = 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BREACH_RECOVERY_COORDINATION_KIND__NAME = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Breach Recovery Coordination Kind</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BREACH_RECOVERY_COORDINATION_KIND_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.PilarcosChargingStyleImpl <em>Pilarcos Charging Style</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.PilarcosChargingStyleImpl
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl#getPilarcosChargingStyle()
	 * @generated
	 */
	int PILARCOS_CHARGING_STYLE = 6;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_CHARGING_STYLE__NAME = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Pilarcos Charging Style</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_CHARGING_STYLE_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.PilarcosTemporalAvailabilityKindImpl <em>Pilarcos Temporal Availability Kind</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.PilarcosTemporalAvailabilityKindImpl
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl#getPilarcosTemporalAvailabilityKind()
	 * @generated
	 */
	int PILARCOS_TEMPORAL_AVAILABILITY_KIND = 7;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_TEMPORAL_AVAILABILITY_KIND__NAME = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Pilarcos Temporal Availability Kind</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_TEMPORAL_AVAILABILITY_KIND_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 1;


	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.ModelElement <em>Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Model Element</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.ModelElement
	 * @generated
	 */
	EClass getModelElement();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.ContractualFeature <em>Contractual Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Contractual Feature</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.ContractualFeature
	 * @generated
	 */
	EClass getContractualFeature();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.ContractualFeature#getElements <em>Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Elements</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.ContractualFeature#getElements()
	 * @see #getContractualFeature()
	 * @generated
	 */
	EReference getContractualFeature_Elements();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.PilarcosSettlementModelKind <em>Pilarcos Settlement Model Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Pilarcos Settlement Model Kind</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.PilarcosSettlementModelKind
	 * @generated
	 */
	EClass getPilarcosSettlementModelKind();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.EpochTransitionCoordinationKind <em>Epoch Transition Coordination Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Epoch Transition Coordination Kind</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.EpochTransitionCoordinationKind
	 * @generated
	 */
	EClass getEpochTransitionCoordinationKind();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.PilarcosSpatialAvailabilityKind <em>Pilarcos Spatial Availability Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Pilarcos Spatial Availability Kind</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.PilarcosSpatialAvailabilityKind
	 * @generated
	 */
	EClass getPilarcosSpatialAvailabilityKind();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.BreachRecoveryCoordinationKind <em>Breach Recovery Coordination Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Breach Recovery Coordination Kind</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.BreachRecoveryCoordinationKind
	 * @generated
	 */
	EClass getBreachRecoveryCoordinationKind();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.PilarcosChargingStyle <em>Pilarcos Charging Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Pilarcos Charging Style</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.PilarcosChargingStyle
	 * @generated
	 */
	EClass getPilarcosChargingStyle();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.PilarcosTemporalAvailabilityKind <em>Pilarcos Temporal Availability Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Pilarcos Temporal Availability Kind</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.PilarcosTemporalAvailabilityKind
	 * @generated
	 */
	EClass getPilarcosTemporalAvailabilityKind();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	contractualfeatureFactory getcontractualfeatureFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.ModelElementImpl <em>Model Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.ModelElementImpl
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl#getModelElement()
		 * @generated
		 */
		EClass MODEL_ELEMENT = eINSTANCE.getModelElement();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.ContractualFeatureImpl <em>Contractual Feature</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.ContractualFeatureImpl
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl#getContractualFeature()
		 * @generated
		 */
		EClass CONTRACTUAL_FEATURE = eINSTANCE.getContractualFeature();

		/**
		 * The meta object literal for the '<em><b>Elements</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTRACTUAL_FEATURE__ELEMENTS = eINSTANCE.getContractualFeature_Elements();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.PilarcosSettlementModelKindImpl <em>Pilarcos Settlement Model Kind</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.PilarcosSettlementModelKindImpl
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl#getPilarcosSettlementModelKind()
		 * @generated
		 */
		EClass PILARCOS_SETTLEMENT_MODEL_KIND = eINSTANCE.getPilarcosSettlementModelKind();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.EpochTransitionCoordinationKindImpl <em>Epoch Transition Coordination Kind</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.EpochTransitionCoordinationKindImpl
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl#getEpochTransitionCoordinationKind()
		 * @generated
		 */
		EClass EPOCH_TRANSITION_COORDINATION_KIND = eINSTANCE.getEpochTransitionCoordinationKind();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.PilarcosSpatialAvailabilityKindImpl <em>Pilarcos Spatial Availability Kind</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.PilarcosSpatialAvailabilityKindImpl
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl#getPilarcosSpatialAvailabilityKind()
		 * @generated
		 */
		EClass PILARCOS_SPATIAL_AVAILABILITY_KIND = eINSTANCE.getPilarcosSpatialAvailabilityKind();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.BreachRecoveryCoordinationKindImpl <em>Breach Recovery Coordination Kind</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.BreachRecoveryCoordinationKindImpl
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl#getBreachRecoveryCoordinationKind()
		 * @generated
		 */
		EClass BREACH_RECOVERY_COORDINATION_KIND = eINSTANCE.getBreachRecoveryCoordinationKind();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.PilarcosChargingStyleImpl <em>Pilarcos Charging Style</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.PilarcosChargingStyleImpl
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl#getPilarcosChargingStyle()
		 * @generated
		 */
		EClass PILARCOS_CHARGING_STYLE = eINSTANCE.getPilarcosChargingStyle();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.PilarcosTemporalAvailabilityKindImpl <em>Pilarcos Temporal Availability Kind</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.PilarcosTemporalAvailabilityKindImpl
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl#getPilarcosTemporalAvailabilityKind()
		 * @generated
		 */
		EClass PILARCOS_TEMPORAL_AVAILABILITY_KIND = eINSTANCE.getPilarcosTemporalAvailabilityKind();

	}

} //contractualfeaturePackage
