/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.util;

import org.cinco.pilarcos.common.common.NamedElement;

import org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.contractualfeaturePackage
 * @generated
 */
public class contractualfeatureAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static contractualfeaturePackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public contractualfeatureAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = contractualfeaturePackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected contractualfeatureSwitch<Adapter> modelSwitch =
		new contractualfeatureSwitch<Adapter>() {
			@Override
			public Adapter caseModelElement(ModelElement object) {
				return createModelElementAdapter();
			}
			@Override
			public Adapter caseContractualFeature(ContractualFeature object) {
				return createContractualFeatureAdapter();
			}
			@Override
			public Adapter casePilarcosSettlementModelKind(PilarcosSettlementModelKind object) {
				return createPilarcosSettlementModelKindAdapter();
			}
			@Override
			public Adapter caseEpochTransitionCoordinationKind(EpochTransitionCoordinationKind object) {
				return createEpochTransitionCoordinationKindAdapter();
			}
			@Override
			public Adapter casePilarcosSpatialAvailabilityKind(PilarcosSpatialAvailabilityKind object) {
				return createPilarcosSpatialAvailabilityKindAdapter();
			}
			@Override
			public Adapter caseBreachRecoveryCoordinationKind(BreachRecoveryCoordinationKind object) {
				return createBreachRecoveryCoordinationKindAdapter();
			}
			@Override
			public Adapter casePilarcosChargingStyle(PilarcosChargingStyle object) {
				return createPilarcosChargingStyleAdapter();
			}
			@Override
			public Adapter casePilarcosTemporalAvailabilityKind(PilarcosTemporalAvailabilityKind object) {
				return createPilarcosTemporalAvailabilityKindAdapter();
			}
			@Override
			public Adapter caseNamedElement(NamedElement object) {
				return createNamedElementAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.ModelElement <em>Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.ModelElement
	 * @generated
	 */
	public Adapter createModelElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.ContractualFeature <em>Contractual Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.ContractualFeature
	 * @generated
	 */
	public Adapter createContractualFeatureAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.PilarcosSettlementModelKind <em>Pilarcos Settlement Model Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.PilarcosSettlementModelKind
	 * @generated
	 */
	public Adapter createPilarcosSettlementModelKindAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.EpochTransitionCoordinationKind <em>Epoch Transition Coordination Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.EpochTransitionCoordinationKind
	 * @generated
	 */
	public Adapter createEpochTransitionCoordinationKindAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.PilarcosSpatialAvailabilityKind <em>Pilarcos Spatial Availability Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.PilarcosSpatialAvailabilityKind
	 * @generated
	 */
	public Adapter createPilarcosSpatialAvailabilityKindAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.BreachRecoveryCoordinationKind <em>Breach Recovery Coordination Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.BreachRecoveryCoordinationKind
	 * @generated
	 */
	public Adapter createBreachRecoveryCoordinationKindAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.PilarcosChargingStyle <em>Pilarcos Charging Style</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.PilarcosChargingStyle
	 * @generated
	 */
	public Adapter createPilarcosChargingStyleAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.PilarcosTemporalAvailabilityKind <em>Pilarcos Temporal Availability Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.PilarcosTemporalAvailabilityKind
	 * @generated
	 */
	public Adapter createPilarcosTemporalAvailabilityKindAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.common.NamedElement <em>Named Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.common.NamedElement
	 * @generated
	 */
	public Adapter createNamedElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //contractualfeatureAdapterFactory
