/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.util;

import java.util.List;

import org.cinco.pilarcos.common.common.NamedElement;

import org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.contractualfeaturePackage
 * @generated
 */
public class contractualfeatureSwitch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static contractualfeaturePackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public contractualfeatureSwitch() {
		if (modelPackage == null) {
			modelPackage = contractualfeaturePackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public T doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List<EClass> eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch(eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case contractualfeaturePackage.MODEL_ELEMENT: {
				ModelElement modelElement = (ModelElement)theEObject;
				T result = caseModelElement(modelElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case contractualfeaturePackage.CONTRACTUAL_FEATURE: {
				ContractualFeature contractualFeature = (ContractualFeature)theEObject;
				T result = caseContractualFeature(contractualFeature);
				if (result == null) result = caseNamedElement(contractualFeature);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case contractualfeaturePackage.PILARCOS_SETTLEMENT_MODEL_KIND: {
				PilarcosSettlementModelKind pilarcosSettlementModelKind = (PilarcosSettlementModelKind)theEObject;
				T result = casePilarcosSettlementModelKind(pilarcosSettlementModelKind);
				if (result == null) result = caseModelElement(pilarcosSettlementModelKind);
				if (result == null) result = caseNamedElement(pilarcosSettlementModelKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case contractualfeaturePackage.EPOCH_TRANSITION_COORDINATION_KIND: {
				EpochTransitionCoordinationKind epochTransitionCoordinationKind = (EpochTransitionCoordinationKind)theEObject;
				T result = caseEpochTransitionCoordinationKind(epochTransitionCoordinationKind);
				if (result == null) result = caseModelElement(epochTransitionCoordinationKind);
				if (result == null) result = caseNamedElement(epochTransitionCoordinationKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case contractualfeaturePackage.PILARCOS_SPATIAL_AVAILABILITY_KIND: {
				PilarcosSpatialAvailabilityKind pilarcosSpatialAvailabilityKind = (PilarcosSpatialAvailabilityKind)theEObject;
				T result = casePilarcosSpatialAvailabilityKind(pilarcosSpatialAvailabilityKind);
				if (result == null) result = caseModelElement(pilarcosSpatialAvailabilityKind);
				if (result == null) result = caseNamedElement(pilarcosSpatialAvailabilityKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case contractualfeaturePackage.BREACH_RECOVERY_COORDINATION_KIND: {
				BreachRecoveryCoordinationKind breachRecoveryCoordinationKind = (BreachRecoveryCoordinationKind)theEObject;
				T result = caseBreachRecoveryCoordinationKind(breachRecoveryCoordinationKind);
				if (result == null) result = caseModelElement(breachRecoveryCoordinationKind);
				if (result == null) result = caseNamedElement(breachRecoveryCoordinationKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case contractualfeaturePackage.PILARCOS_CHARGING_STYLE: {
				PilarcosChargingStyle pilarcosChargingStyle = (PilarcosChargingStyle)theEObject;
				T result = casePilarcosChargingStyle(pilarcosChargingStyle);
				if (result == null) result = caseModelElement(pilarcosChargingStyle);
				if (result == null) result = caseNamedElement(pilarcosChargingStyle);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case contractualfeaturePackage.PILARCOS_TEMPORAL_AVAILABILITY_KIND: {
				PilarcosTemporalAvailabilityKind pilarcosTemporalAvailabilityKind = (PilarcosTemporalAvailabilityKind)theEObject;
				T result = casePilarcosTemporalAvailabilityKind(pilarcosTemporalAvailabilityKind);
				if (result == null) result = caseModelElement(pilarcosTemporalAvailabilityKind);
				if (result == null) result = caseNamedElement(pilarcosTemporalAvailabilityKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Contractual Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Contractual Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseContractualFeature(ContractualFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pilarcos Settlement Model Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pilarcos Settlement Model Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePilarcosSettlementModelKind(PilarcosSettlementModelKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Epoch Transition Coordination Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Epoch Transition Coordination Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEpochTransitionCoordinationKind(EpochTransitionCoordinationKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pilarcos Spatial Availability Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pilarcos Spatial Availability Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePilarcosSpatialAvailabilityKind(PilarcosSpatialAvailabilityKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Breach Recovery Coordination Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Breach Recovery Coordination Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBreachRecoveryCoordinationKind(BreachRecoveryCoordinationKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pilarcos Charging Style</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pilarcos Charging Style</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePilarcosChargingStyle(PilarcosChargingStyle object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pilarcos Temporal Availability Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pilarcos Temporal Availability Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePilarcosTemporalAvailabilityKind(PilarcosTemporalAvailabilityKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public T defaultCase(EObject object) {
		return null;
	}

} //contractualfeatureSwitch
