/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.contractualfeaturerepositoryFactory
 * @model kind="package"
 * @generated
 */
public interface contractualfeaturerepositoryPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "contractualfeaturerepository";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://cinco.org/pilarcos/contractualfeaturerepository/repository";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "ContractualFeatureRepository";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	contractualfeaturerepositoryPackage eINSTANCE = org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRepositoryModelImpl <em>Contractual Feature Repository Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRepositoryModelImpl
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getContractualFeatureRepositoryModel()
	 * @generated
	 */
	int CONTRACTUAL_FEATURE_REPOSITORY_MODEL = 0;

	/**
	 * The feature id for the '<em><b>Models</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_FEATURE_REPOSITORY_MODEL__MODELS = 0;

	/**
	 * The feature id for the '<em><b>Relationships</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS = 1;

	/**
	 * The feature id for the '<em><b>Pilarcossettlementmodelkindset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSETTLEMENTMODELKINDSET = 2;

	/**
	 * The feature id for the '<em><b>Pilarcostemporalavailabilitykindset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSTEMPORALAVAILABILITYKINDSET = 3;

	/**
	 * The feature id for the '<em><b>Breachrecoverycoordinationkindset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_FEATURE_REPOSITORY_MODEL__BREACHRECOVERYCOORDINATIONKINDSET = 4;

	/**
	 * The feature id for the '<em><b>Pilarcosspatialavailabilitykindset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSPATIALAVAILABILITYKINDSET = 5;

	/**
	 * The feature id for the '<em><b>Epochtransitioncoordinationkindset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_FEATURE_REPOSITORY_MODEL__EPOCHTRANSITIONCOORDINATIONKINDSET = 6;

	/**
	 * The feature id for the '<em><b>Pilarcoschargingstyleset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSCHARGINGSTYLESET = 7;

	/**
	 * The number of structural features of the '<em>Contractual Feature Repository Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_FEATURE_REPOSITORY_MODEL_FEATURE_COUNT = 8;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRelationshipImpl <em>Contractual Feature Relationship</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRelationshipImpl
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getContractualFeatureRelationship()
	 * @generated
	 */
	int CONTRACTUAL_FEATURE_RELATIONSHIP = 1;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_FEATURE_RELATIONSHIP__SOURCE = 0;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_FEATURE_RELATIONSHIP__TARGET = 1;

	/**
	 * The feature id for the '<em><b>Kind</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_FEATURE_RELATIONSHIP__KIND = 2;

	/**
	 * The number of structural features of the '<em>Contractual Feature Relationship</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_FEATURE_RELATIONSHIP_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.PilarcosChargingStyleSetImpl <em>Pilarcos Charging Style Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.PilarcosChargingStyleSetImpl
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getPilarcosChargingStyleSet()
	 * @generated
	 */
	int PILARCOS_CHARGING_STYLE_SET = 2;

	/**
	 * The feature id for the '<em><b>Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_CHARGING_STYLE_SET__ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Pilarcos Charging Style Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_CHARGING_STYLE_SET_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.PilarcosTemporalAvailabilityKindSetImpl <em>Pilarcos Temporal Availability Kind Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.PilarcosTemporalAvailabilityKindSetImpl
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getPilarcosTemporalAvailabilityKindSet()
	 * @generated
	 */
	int PILARCOS_TEMPORAL_AVAILABILITY_KIND_SET = 3;

	/**
	 * The feature id for the '<em><b>Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_TEMPORAL_AVAILABILITY_KIND_SET__ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Pilarcos Temporal Availability Kind Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_TEMPORAL_AVAILABILITY_KIND_SET_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.BreachRecoveryCoordinationKindSetImpl <em>Breach Recovery Coordination Kind Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.BreachRecoveryCoordinationKindSetImpl
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getBreachRecoveryCoordinationKindSet()
	 * @generated
	 */
	int BREACH_RECOVERY_COORDINATION_KIND_SET = 4;

	/**
	 * The feature id for the '<em><b>Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BREACH_RECOVERY_COORDINATION_KIND_SET__ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Breach Recovery Coordination Kind Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BREACH_RECOVERY_COORDINATION_KIND_SET_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.PilarcosSettlementModelKindSetImpl <em>Pilarcos Settlement Model Kind Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.PilarcosSettlementModelKindSetImpl
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getPilarcosSettlementModelKindSet()
	 * @generated
	 */
	int PILARCOS_SETTLEMENT_MODEL_KIND_SET = 5;

	/**
	 * The feature id for the '<em><b>Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_SETTLEMENT_MODEL_KIND_SET__ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Pilarcos Settlement Model Kind Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_SETTLEMENT_MODEL_KIND_SET_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.EpochTransitionCoordinationKindSetImpl <em>Epoch Transition Coordination Kind Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.EpochTransitionCoordinationKindSetImpl
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getEpochTransitionCoordinationKindSet()
	 * @generated
	 */
	int EPOCH_TRANSITION_COORDINATION_KIND_SET = 6;

	/**
	 * The feature id for the '<em><b>Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_COORDINATION_KIND_SET__ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Epoch Transition Coordination Kind Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EPOCH_TRANSITION_COORDINATION_KIND_SET_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.PilarcosSpatialAvailabilityKindSetImpl <em>Pilarcos Spatial Availability Kind Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.PilarcosSpatialAvailabilityKindSetImpl
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getPilarcosSpatialAvailabilityKindSet()
	 * @generated
	 */
	int PILARCOS_SPATIAL_AVAILABILITY_KIND_SET = 7;

	/**
	 * The feature id for the '<em><b>Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_SPATIAL_AVAILABILITY_KIND_SET__ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Pilarcos Spatial Availability Kind Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_SPATIAL_AVAILABILITY_KIND_SET_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryEnum <em>Contractual Feature Repository Enum</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryEnum
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getContractualFeatureRepositoryEnum()
	 * @generated
	 */
	int CONTRACTUAL_FEATURE_REPOSITORY_ENUM = 8;


	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel <em>Contractual Feature Repository Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Contractual Feature Repository Model</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel
	 * @generated
	 */
	EClass getContractualFeatureRepositoryModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getModels <em>Models</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Models</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getModels()
	 * @see #getContractualFeatureRepositoryModel()
	 * @generated
	 */
	EReference getContractualFeatureRepositoryModel_Models();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getRelationships <em>Relationships</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Relationships</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getRelationships()
	 * @see #getContractualFeatureRepositoryModel()
	 * @generated
	 */
	EReference getContractualFeatureRepositoryModel_Relationships();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getPilarcossettlementmodelkindset <em>Pilarcossettlementmodelkindset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Pilarcossettlementmodelkindset</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getPilarcossettlementmodelkindset()
	 * @see #getContractualFeatureRepositoryModel()
	 * @generated
	 */
	EReference getContractualFeatureRepositoryModel_Pilarcossettlementmodelkindset();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getPilarcostemporalavailabilitykindset <em>Pilarcostemporalavailabilitykindset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Pilarcostemporalavailabilitykindset</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getPilarcostemporalavailabilitykindset()
	 * @see #getContractualFeatureRepositoryModel()
	 * @generated
	 */
	EReference getContractualFeatureRepositoryModel_Pilarcostemporalavailabilitykindset();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getBreachrecoverycoordinationkindset <em>Breachrecoverycoordinationkindset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Breachrecoverycoordinationkindset</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getBreachrecoverycoordinationkindset()
	 * @see #getContractualFeatureRepositoryModel()
	 * @generated
	 */
	EReference getContractualFeatureRepositoryModel_Breachrecoverycoordinationkindset();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getPilarcosspatialavailabilitykindset <em>Pilarcosspatialavailabilitykindset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Pilarcosspatialavailabilitykindset</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getPilarcosspatialavailabilitykindset()
	 * @see #getContractualFeatureRepositoryModel()
	 * @generated
	 */
	EReference getContractualFeatureRepositoryModel_Pilarcosspatialavailabilitykindset();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getEpochtransitioncoordinationkindset <em>Epochtransitioncoordinationkindset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Epochtransitioncoordinationkindset</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getEpochtransitioncoordinationkindset()
	 * @see #getContractualFeatureRepositoryModel()
	 * @generated
	 */
	EReference getContractualFeatureRepositoryModel_Epochtransitioncoordinationkindset();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getPilarcoschargingstyleset <em>Pilarcoschargingstyleset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Pilarcoschargingstyleset</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getPilarcoschargingstyleset()
	 * @see #getContractualFeatureRepositoryModel()
	 * @generated
	 */
	EReference getContractualFeatureRepositoryModel_Pilarcoschargingstyleset();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRelationship <em>Contractual Feature Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Contractual Feature Relationship</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRelationship
	 * @generated
	 */
	EClass getContractualFeatureRelationship();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRelationship#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Source</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRelationship#getSource()
	 * @see #getContractualFeatureRelationship()
	 * @generated
	 */
	EReference getContractualFeatureRelationship_Source();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRelationship#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Target</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRelationship#getTarget()
	 * @see #getContractualFeatureRelationship()
	 * @generated
	 */
	EReference getContractualFeatureRelationship_Target();

	/**
	 * Returns the meta object for the attribute '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRelationship#getKind <em>Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Kind</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRelationship#getKind()
	 * @see #getContractualFeatureRelationship()
	 * @generated
	 */
	EAttribute getContractualFeatureRelationship_Kind();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosChargingStyleSet <em>Pilarcos Charging Style Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Pilarcos Charging Style Set</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosChargingStyleSet
	 * @generated
	 */
	EClass getPilarcosChargingStyleSet();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosChargingStyleSet#getElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Element</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosChargingStyleSet#getElement()
	 * @see #getPilarcosChargingStyleSet()
	 * @generated
	 */
	EReference getPilarcosChargingStyleSet_Element();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosTemporalAvailabilityKindSet <em>Pilarcos Temporal Availability Kind Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Pilarcos Temporal Availability Kind Set</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosTemporalAvailabilityKindSet
	 * @generated
	 */
	EClass getPilarcosTemporalAvailabilityKindSet();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosTemporalAvailabilityKindSet#getElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Element</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosTemporalAvailabilityKindSet#getElement()
	 * @see #getPilarcosTemporalAvailabilityKindSet()
	 * @generated
	 */
	EReference getPilarcosTemporalAvailabilityKindSet_Element();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.BreachRecoveryCoordinationKindSet <em>Breach Recovery Coordination Kind Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Breach Recovery Coordination Kind Set</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.BreachRecoveryCoordinationKindSet
	 * @generated
	 */
	EClass getBreachRecoveryCoordinationKindSet();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.BreachRecoveryCoordinationKindSet#getElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Element</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.BreachRecoveryCoordinationKindSet#getElement()
	 * @see #getBreachRecoveryCoordinationKindSet()
	 * @generated
	 */
	EReference getBreachRecoveryCoordinationKindSet_Element();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosSettlementModelKindSet <em>Pilarcos Settlement Model Kind Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Pilarcos Settlement Model Kind Set</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosSettlementModelKindSet
	 * @generated
	 */
	EClass getPilarcosSettlementModelKindSet();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosSettlementModelKindSet#getElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Element</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosSettlementModelKindSet#getElement()
	 * @see #getPilarcosSettlementModelKindSet()
	 * @generated
	 */
	EReference getPilarcosSettlementModelKindSet_Element();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.EpochTransitionCoordinationKindSet <em>Epoch Transition Coordination Kind Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Epoch Transition Coordination Kind Set</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.EpochTransitionCoordinationKindSet
	 * @generated
	 */
	EClass getEpochTransitionCoordinationKindSet();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.EpochTransitionCoordinationKindSet#getElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Element</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.EpochTransitionCoordinationKindSet#getElement()
	 * @see #getEpochTransitionCoordinationKindSet()
	 * @generated
	 */
	EReference getEpochTransitionCoordinationKindSet_Element();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosSpatialAvailabilityKindSet <em>Pilarcos Spatial Availability Kind Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Pilarcos Spatial Availability Kind Set</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosSpatialAvailabilityKindSet
	 * @generated
	 */
	EClass getPilarcosSpatialAvailabilityKindSet();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosSpatialAvailabilityKindSet#getElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Element</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosSpatialAvailabilityKindSet#getElement()
	 * @see #getPilarcosSpatialAvailabilityKindSet()
	 * @generated
	 */
	EReference getPilarcosSpatialAvailabilityKindSet_Element();

	/**
	 * Returns the meta object for enum '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryEnum <em>Contractual Feature Repository Enum</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Contractual Feature Repository Enum</em>'.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryEnum
	 * @generated
	 */
	EEnum getContractualFeatureRepositoryEnum();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	contractualfeaturerepositoryFactory getcontractualfeaturerepositoryFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRepositoryModelImpl <em>Contractual Feature Repository Model</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRepositoryModelImpl
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getContractualFeatureRepositoryModel()
		 * @generated
		 */
		EClass CONTRACTUAL_FEATURE_REPOSITORY_MODEL = eINSTANCE.getContractualFeatureRepositoryModel();

		/**
		 * The meta object literal for the '<em><b>Models</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTRACTUAL_FEATURE_REPOSITORY_MODEL__MODELS = eINSTANCE.getContractualFeatureRepositoryModel_Models();

		/**
		 * The meta object literal for the '<em><b>Relationships</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTRACTUAL_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS = eINSTANCE.getContractualFeatureRepositoryModel_Relationships();

		/**
		 * The meta object literal for the '<em><b>Pilarcossettlementmodelkindset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSETTLEMENTMODELKINDSET = eINSTANCE.getContractualFeatureRepositoryModel_Pilarcossettlementmodelkindset();

		/**
		 * The meta object literal for the '<em><b>Pilarcostemporalavailabilitykindset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSTEMPORALAVAILABILITYKINDSET = eINSTANCE.getContractualFeatureRepositoryModel_Pilarcostemporalavailabilitykindset();

		/**
		 * The meta object literal for the '<em><b>Breachrecoverycoordinationkindset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTRACTUAL_FEATURE_REPOSITORY_MODEL__BREACHRECOVERYCOORDINATIONKINDSET = eINSTANCE.getContractualFeatureRepositoryModel_Breachrecoverycoordinationkindset();

		/**
		 * The meta object literal for the '<em><b>Pilarcosspatialavailabilitykindset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSPATIALAVAILABILITYKINDSET = eINSTANCE.getContractualFeatureRepositoryModel_Pilarcosspatialavailabilitykindset();

		/**
		 * The meta object literal for the '<em><b>Epochtransitioncoordinationkindset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTRACTUAL_FEATURE_REPOSITORY_MODEL__EPOCHTRANSITIONCOORDINATIONKINDSET = eINSTANCE.getContractualFeatureRepositoryModel_Epochtransitioncoordinationkindset();

		/**
		 * The meta object literal for the '<em><b>Pilarcoschargingstyleset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSCHARGINGSTYLESET = eINSTANCE.getContractualFeatureRepositoryModel_Pilarcoschargingstyleset();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRelationshipImpl <em>Contractual Feature Relationship</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRelationshipImpl
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getContractualFeatureRelationship()
		 * @generated
		 */
		EClass CONTRACTUAL_FEATURE_RELATIONSHIP = eINSTANCE.getContractualFeatureRelationship();

		/**
		 * The meta object literal for the '<em><b>Source</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTRACTUAL_FEATURE_RELATIONSHIP__SOURCE = eINSTANCE.getContractualFeatureRelationship_Source();

		/**
		 * The meta object literal for the '<em><b>Target</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTRACTUAL_FEATURE_RELATIONSHIP__TARGET = eINSTANCE.getContractualFeatureRelationship_Target();

		/**
		 * The meta object literal for the '<em><b>Kind</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONTRACTUAL_FEATURE_RELATIONSHIP__KIND = eINSTANCE.getContractualFeatureRelationship_Kind();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.PilarcosChargingStyleSetImpl <em>Pilarcos Charging Style Set</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.PilarcosChargingStyleSetImpl
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getPilarcosChargingStyleSet()
		 * @generated
		 */
		EClass PILARCOS_CHARGING_STYLE_SET = eINSTANCE.getPilarcosChargingStyleSet();

		/**
		 * The meta object literal for the '<em><b>Element</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PILARCOS_CHARGING_STYLE_SET__ELEMENT = eINSTANCE.getPilarcosChargingStyleSet_Element();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.PilarcosTemporalAvailabilityKindSetImpl <em>Pilarcos Temporal Availability Kind Set</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.PilarcosTemporalAvailabilityKindSetImpl
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getPilarcosTemporalAvailabilityKindSet()
		 * @generated
		 */
		EClass PILARCOS_TEMPORAL_AVAILABILITY_KIND_SET = eINSTANCE.getPilarcosTemporalAvailabilityKindSet();

		/**
		 * The meta object literal for the '<em><b>Element</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PILARCOS_TEMPORAL_AVAILABILITY_KIND_SET__ELEMENT = eINSTANCE.getPilarcosTemporalAvailabilityKindSet_Element();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.BreachRecoveryCoordinationKindSetImpl <em>Breach Recovery Coordination Kind Set</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.BreachRecoveryCoordinationKindSetImpl
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getBreachRecoveryCoordinationKindSet()
		 * @generated
		 */
		EClass BREACH_RECOVERY_COORDINATION_KIND_SET = eINSTANCE.getBreachRecoveryCoordinationKindSet();

		/**
		 * The meta object literal for the '<em><b>Element</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BREACH_RECOVERY_COORDINATION_KIND_SET__ELEMENT = eINSTANCE.getBreachRecoveryCoordinationKindSet_Element();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.PilarcosSettlementModelKindSetImpl <em>Pilarcos Settlement Model Kind Set</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.PilarcosSettlementModelKindSetImpl
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getPilarcosSettlementModelKindSet()
		 * @generated
		 */
		EClass PILARCOS_SETTLEMENT_MODEL_KIND_SET = eINSTANCE.getPilarcosSettlementModelKindSet();

		/**
		 * The meta object literal for the '<em><b>Element</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PILARCOS_SETTLEMENT_MODEL_KIND_SET__ELEMENT = eINSTANCE.getPilarcosSettlementModelKindSet_Element();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.EpochTransitionCoordinationKindSetImpl <em>Epoch Transition Coordination Kind Set</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.EpochTransitionCoordinationKindSetImpl
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getEpochTransitionCoordinationKindSet()
		 * @generated
		 */
		EClass EPOCH_TRANSITION_COORDINATION_KIND_SET = eINSTANCE.getEpochTransitionCoordinationKindSet();

		/**
		 * The meta object literal for the '<em><b>Element</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EPOCH_TRANSITION_COORDINATION_KIND_SET__ELEMENT = eINSTANCE.getEpochTransitionCoordinationKindSet_Element();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.PilarcosSpatialAvailabilityKindSetImpl <em>Pilarcos Spatial Availability Kind Set</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.PilarcosSpatialAvailabilityKindSetImpl
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getPilarcosSpatialAvailabilityKindSet()
		 * @generated
		 */
		EClass PILARCOS_SPATIAL_AVAILABILITY_KIND_SET = eINSTANCE.getPilarcosSpatialAvailabilityKindSet();

		/**
		 * The meta object literal for the '<em><b>Element</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PILARCOS_SPATIAL_AVAILABILITY_KIND_SET__ELEMENT = eINSTANCE.getPilarcosSpatialAvailabilityKindSet_Element();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryEnum <em>Contractual Feature Repository Enum</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryEnum
		 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl#getContractualFeatureRepositoryEnum()
		 * @generated
		 */
		EEnum CONTRACTUAL_FEATURE_REPOSITORY_ENUM = eINSTANCE.getContractualFeatureRepositoryEnum();

	}

} //contractualfeaturerepositoryPackage
