/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.util;

import org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.contractualfeaturerepositoryPackage
 * @generated
 */
public class contractualfeaturerepositoryAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static contractualfeaturerepositoryPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public contractualfeaturerepositoryAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = contractualfeaturerepositoryPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected contractualfeaturerepositorySwitch<Adapter> modelSwitch =
		new contractualfeaturerepositorySwitch<Adapter>() {
			@Override
			public Adapter caseContractualFeatureRepositoryModel(ContractualFeatureRepositoryModel object) {
				return createContractualFeatureRepositoryModelAdapter();
			}
			@Override
			public Adapter caseContractualFeatureRelationship(ContractualFeatureRelationship object) {
				return createContractualFeatureRelationshipAdapter();
			}
			@Override
			public Adapter casePilarcosChargingStyleSet(PilarcosChargingStyleSet object) {
				return createPilarcosChargingStyleSetAdapter();
			}
			@Override
			public Adapter casePilarcosTemporalAvailabilityKindSet(PilarcosTemporalAvailabilityKindSet object) {
				return createPilarcosTemporalAvailabilityKindSetAdapter();
			}
			@Override
			public Adapter caseBreachRecoveryCoordinationKindSet(BreachRecoveryCoordinationKindSet object) {
				return createBreachRecoveryCoordinationKindSetAdapter();
			}
			@Override
			public Adapter casePilarcosSettlementModelKindSet(PilarcosSettlementModelKindSet object) {
				return createPilarcosSettlementModelKindSetAdapter();
			}
			@Override
			public Adapter caseEpochTransitionCoordinationKindSet(EpochTransitionCoordinationKindSet object) {
				return createEpochTransitionCoordinationKindSetAdapter();
			}
			@Override
			public Adapter casePilarcosSpatialAvailabilityKindSet(PilarcosSpatialAvailabilityKindSet object) {
				return createPilarcosSpatialAvailabilityKindSetAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel <em>Contractual Feature Repository Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel
	 * @generated
	 */
	public Adapter createContractualFeatureRepositoryModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRelationship <em>Contractual Feature Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRelationship
	 * @generated
	 */
	public Adapter createContractualFeatureRelationshipAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosChargingStyleSet <em>Pilarcos Charging Style Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosChargingStyleSet
	 * @generated
	 */
	public Adapter createPilarcosChargingStyleSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosTemporalAvailabilityKindSet <em>Pilarcos Temporal Availability Kind Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosTemporalAvailabilityKindSet
	 * @generated
	 */
	public Adapter createPilarcosTemporalAvailabilityKindSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.BreachRecoveryCoordinationKindSet <em>Breach Recovery Coordination Kind Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.BreachRecoveryCoordinationKindSet
	 * @generated
	 */
	public Adapter createBreachRecoveryCoordinationKindSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosSettlementModelKindSet <em>Pilarcos Settlement Model Kind Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosSettlementModelKindSet
	 * @generated
	 */
	public Adapter createPilarcosSettlementModelKindSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.EpochTransitionCoordinationKindSet <em>Epoch Transition Coordination Kind Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.EpochTransitionCoordinationKindSet
	 * @generated
	 */
	public Adapter createEpochTransitionCoordinationKindSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosSpatialAvailabilityKindSet <em>Pilarcos Spatial Availability Kind Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.PilarcosSpatialAvailabilityKindSet
	 * @generated
	 */
	public Adapter createPilarcosSpatialAvailabilityKindSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //contractualfeaturerepositoryAdapterFactory
