/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.util;

import java.util.List;

import org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.contractualfeaturerepositoryPackage
 * @generated
 */
public class contractualfeaturerepositorySwitch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static contractualfeaturerepositoryPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public contractualfeaturerepositorySwitch() {
		if (modelPackage == null) {
			modelPackage = contractualfeaturerepositoryPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public T doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List<EClass> eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch(eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL: {
				ContractualFeatureRepositoryModel contractualFeatureRepositoryModel = (ContractualFeatureRepositoryModel)theEObject;
				T result = caseContractualFeatureRepositoryModel(contractualFeatureRepositoryModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_RELATIONSHIP: {
				ContractualFeatureRelationship contractualFeatureRelationship = (ContractualFeatureRelationship)theEObject;
				T result = caseContractualFeatureRelationship(contractualFeatureRelationship);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case contractualfeaturerepositoryPackage.PILARCOS_CHARGING_STYLE_SET: {
				PilarcosChargingStyleSet pilarcosChargingStyleSet = (PilarcosChargingStyleSet)theEObject;
				T result = casePilarcosChargingStyleSet(pilarcosChargingStyleSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case contractualfeaturerepositoryPackage.PILARCOS_TEMPORAL_AVAILABILITY_KIND_SET: {
				PilarcosTemporalAvailabilityKindSet pilarcosTemporalAvailabilityKindSet = (PilarcosTemporalAvailabilityKindSet)theEObject;
				T result = casePilarcosTemporalAvailabilityKindSet(pilarcosTemporalAvailabilityKindSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case contractualfeaturerepositoryPackage.BREACH_RECOVERY_COORDINATION_KIND_SET: {
				BreachRecoveryCoordinationKindSet breachRecoveryCoordinationKindSet = (BreachRecoveryCoordinationKindSet)theEObject;
				T result = caseBreachRecoveryCoordinationKindSet(breachRecoveryCoordinationKindSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case contractualfeaturerepositoryPackage.PILARCOS_SETTLEMENT_MODEL_KIND_SET: {
				PilarcosSettlementModelKindSet pilarcosSettlementModelKindSet = (PilarcosSettlementModelKindSet)theEObject;
				T result = casePilarcosSettlementModelKindSet(pilarcosSettlementModelKindSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case contractualfeaturerepositoryPackage.EPOCH_TRANSITION_COORDINATION_KIND_SET: {
				EpochTransitionCoordinationKindSet epochTransitionCoordinationKindSet = (EpochTransitionCoordinationKindSet)theEObject;
				T result = caseEpochTransitionCoordinationKindSet(epochTransitionCoordinationKindSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case contractualfeaturerepositoryPackage.PILARCOS_SPATIAL_AVAILABILITY_KIND_SET: {
				PilarcosSpatialAvailabilityKindSet pilarcosSpatialAvailabilityKindSet = (PilarcosSpatialAvailabilityKindSet)theEObject;
				T result = casePilarcosSpatialAvailabilityKindSet(pilarcosSpatialAvailabilityKindSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Contractual Feature Repository Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Contractual Feature Repository Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseContractualFeatureRepositoryModel(ContractualFeatureRepositoryModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Contractual Feature Relationship</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Contractual Feature Relationship</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseContractualFeatureRelationship(ContractualFeatureRelationship object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pilarcos Charging Style Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pilarcos Charging Style Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePilarcosChargingStyleSet(PilarcosChargingStyleSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pilarcos Temporal Availability Kind Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pilarcos Temporal Availability Kind Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePilarcosTemporalAvailabilityKindSet(PilarcosTemporalAvailabilityKindSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Breach Recovery Coordination Kind Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Breach Recovery Coordination Kind Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBreachRecoveryCoordinationKindSet(BreachRecoveryCoordinationKindSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pilarcos Settlement Model Kind Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pilarcos Settlement Model Kind Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePilarcosSettlementModelKindSet(PilarcosSettlementModelKindSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Epoch Transition Coordination Kind Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Epoch Transition Coordination Kind Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEpochTransitionCoordinationKindSet(EpochTransitionCoordinationKindSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pilarcos Spatial Availability Kind Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pilarcos Spatial Availability Kind Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePilarcosSpatialAvailabilityKindSet(PilarcosSpatialAvailabilityKindSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public T defaultCase(EObject object) {
		return null;
	}

} //contractualfeaturerepositorySwitch
