/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.contractualpropertyrepositoryFactory
 * @model kind="package"
 * @generated
 */
public interface contractualpropertyrepositoryPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "contractualpropertyrepository";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://cinco.org/pilarcos/contractualpropertyrepository/repository";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "ContractualPropertyRepository";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	contractualpropertyrepositoryPackage eINSTANCE = org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.contractualpropertyrepositoryPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.ContractualPropertyRepositoryModelImpl <em>Contractual Property Repository Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.ContractualPropertyRepositoryModelImpl
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.contractualpropertyrepositoryPackageImpl#getContractualPropertyRepositoryModel()
	 * @generated
	 */
	int CONTRACTUAL_PROPERTY_REPOSITORY_MODEL = 0;

	/**
	 * The feature id for the '<em><b>Models</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_PROPERTY_REPOSITORY_MODEL__MODELS = 0;

	/**
	 * The feature id for the '<em><b>Relationships</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_PROPERTY_REPOSITORY_MODEL__RELATIONSHIPS = 1;

	/**
	 * The feature id for the '<em><b>Pilarcoschargingset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_PROPERTY_REPOSITORY_MODEL__PILARCOSCHARGINGSET = 2;

	/**
	 * The number of structural features of the '<em>Contractual Property Repository Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_PROPERTY_REPOSITORY_MODEL_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.ContractualPropertyRelationshipImpl <em>Contractual Property Relationship</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.ContractualPropertyRelationshipImpl
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.contractualpropertyrepositoryPackageImpl#getContractualPropertyRelationship()
	 * @generated
	 */
	int CONTRACTUAL_PROPERTY_RELATIONSHIP = 1;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_PROPERTY_RELATIONSHIP__SOURCE = 0;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_PROPERTY_RELATIONSHIP__TARGET = 1;

	/**
	 * The feature id for the '<em><b>Kind</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_PROPERTY_RELATIONSHIP__KIND = 2;

	/**
	 * The number of structural features of the '<em>Contractual Property Relationship</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTRACTUAL_PROPERTY_RELATIONSHIP_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.PilarcosChargingSetImpl <em>Pilarcos Charging Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.PilarcosChargingSetImpl
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.contractualpropertyrepositoryPackageImpl#getPilarcosChargingSet()
	 * @generated
	 */
	int PILARCOS_CHARGING_SET = 2;

	/**
	 * The feature id for the '<em><b>Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_CHARGING_SET__ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Pilarcos Charging Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_CHARGING_SET_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRepositoryEnum <em>Contractual Property Repository Enum</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRepositoryEnum
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.contractualpropertyrepositoryPackageImpl#getContractualPropertyRepositoryEnum()
	 * @generated
	 */
	int CONTRACTUAL_PROPERTY_REPOSITORY_ENUM = 3;


	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRepositoryModel <em>Contractual Property Repository Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Contractual Property Repository Model</em>'.
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRepositoryModel
	 * @generated
	 */
	EClass getContractualPropertyRepositoryModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRepositoryModel#getModels <em>Models</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Models</em>'.
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRepositoryModel#getModels()
	 * @see #getContractualPropertyRepositoryModel()
	 * @generated
	 */
	EReference getContractualPropertyRepositoryModel_Models();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRepositoryModel#getRelationships <em>Relationships</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Relationships</em>'.
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRepositoryModel#getRelationships()
	 * @see #getContractualPropertyRepositoryModel()
	 * @generated
	 */
	EReference getContractualPropertyRepositoryModel_Relationships();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRepositoryModel#getPilarcoschargingset <em>Pilarcoschargingset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Pilarcoschargingset</em>'.
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRepositoryModel#getPilarcoschargingset()
	 * @see #getContractualPropertyRepositoryModel()
	 * @generated
	 */
	EReference getContractualPropertyRepositoryModel_Pilarcoschargingset();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRelationship <em>Contractual Property Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Contractual Property Relationship</em>'.
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRelationship
	 * @generated
	 */
	EClass getContractualPropertyRelationship();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRelationship#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Source</em>'.
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRelationship#getSource()
	 * @see #getContractualPropertyRelationship()
	 * @generated
	 */
	EReference getContractualPropertyRelationship_Source();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRelationship#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Target</em>'.
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRelationship#getTarget()
	 * @see #getContractualPropertyRelationship()
	 * @generated
	 */
	EReference getContractualPropertyRelationship_Target();

	/**
	 * Returns the meta object for the attribute '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRelationship#getKind <em>Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Kind</em>'.
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRelationship#getKind()
	 * @see #getContractualPropertyRelationship()
	 * @generated
	 */
	EAttribute getContractualPropertyRelationship_Kind();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.PilarcosChargingSet <em>Pilarcos Charging Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Pilarcos Charging Set</em>'.
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.PilarcosChargingSet
	 * @generated
	 */
	EClass getPilarcosChargingSet();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.PilarcosChargingSet#getElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Element</em>'.
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.PilarcosChargingSet#getElement()
	 * @see #getPilarcosChargingSet()
	 * @generated
	 */
	EReference getPilarcosChargingSet_Element();

	/**
	 * Returns the meta object for enum '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRepositoryEnum <em>Contractual Property Repository Enum</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Contractual Property Repository Enum</em>'.
	 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRepositoryEnum
	 * @generated
	 */
	EEnum getContractualPropertyRepositoryEnum();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	contractualpropertyrepositoryFactory getcontractualpropertyrepositoryFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.ContractualPropertyRepositoryModelImpl <em>Contractual Property Repository Model</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.ContractualPropertyRepositoryModelImpl
		 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.contractualpropertyrepositoryPackageImpl#getContractualPropertyRepositoryModel()
		 * @generated
		 */
		EClass CONTRACTUAL_PROPERTY_REPOSITORY_MODEL = eINSTANCE.getContractualPropertyRepositoryModel();

		/**
		 * The meta object literal for the '<em><b>Models</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTRACTUAL_PROPERTY_REPOSITORY_MODEL__MODELS = eINSTANCE.getContractualPropertyRepositoryModel_Models();

		/**
		 * The meta object literal for the '<em><b>Relationships</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTRACTUAL_PROPERTY_REPOSITORY_MODEL__RELATIONSHIPS = eINSTANCE.getContractualPropertyRepositoryModel_Relationships();

		/**
		 * The meta object literal for the '<em><b>Pilarcoschargingset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTRACTUAL_PROPERTY_REPOSITORY_MODEL__PILARCOSCHARGINGSET = eINSTANCE.getContractualPropertyRepositoryModel_Pilarcoschargingset();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.ContractualPropertyRelationshipImpl <em>Contractual Property Relationship</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.ContractualPropertyRelationshipImpl
		 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.contractualpropertyrepositoryPackageImpl#getContractualPropertyRelationship()
		 * @generated
		 */
		EClass CONTRACTUAL_PROPERTY_RELATIONSHIP = eINSTANCE.getContractualPropertyRelationship();

		/**
		 * The meta object literal for the '<em><b>Source</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTRACTUAL_PROPERTY_RELATIONSHIP__SOURCE = eINSTANCE.getContractualPropertyRelationship_Source();

		/**
		 * The meta object literal for the '<em><b>Target</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTRACTUAL_PROPERTY_RELATIONSHIP__TARGET = eINSTANCE.getContractualPropertyRelationship_Target();

		/**
		 * The meta object literal for the '<em><b>Kind</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONTRACTUAL_PROPERTY_RELATIONSHIP__KIND = eINSTANCE.getContractualPropertyRelationship_Kind();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.PilarcosChargingSetImpl <em>Pilarcos Charging Set</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.PilarcosChargingSetImpl
		 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.contractualpropertyrepositoryPackageImpl#getPilarcosChargingSet()
		 * @generated
		 */
		EClass PILARCOS_CHARGING_SET = eINSTANCE.getPilarcosChargingSet();

		/**
		 * The meta object literal for the '<em><b>Element</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PILARCOS_CHARGING_SET__ELEMENT = eINSTANCE.getPilarcosChargingSet_Element();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRepositoryEnum <em>Contractual Property Repository Enum</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.ContractualPropertyRepositoryEnum
		 * @see org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.contractualpropertyrepositoryPackageImpl#getContractualPropertyRepositoryEnum()
		 * @generated
		 */
		EEnum CONTRACTUAL_PROPERTY_REPOSITORY_ENUM = eINSTANCE.getContractualPropertyRepositoryEnum();

	}

} //contractualpropertyrepositoryPackage
