/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature;

import org.cinco.pilarcos.common.common.commonPackage;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.cooperativefeatureFactory
 * @model kind="package"
 * @generated
 */
public interface cooperativefeaturePackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "cooperativefeature";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://cinco.org/pilarcos/cooperativefeaturerepository/itemtype";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "CooperativeFeature";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	cooperativefeaturePackage eINSTANCE = org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl.init();

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.ModelElementImpl <em>Model Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.ModelElementImpl
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getModelElement()
	 * @generated
	 */
	int MODEL_ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Model Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.CooperativeFeatureImpl <em>Cooperative Feature</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.CooperativeFeatureImpl
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getCooperativeFeature()
	 * @generated
	 */
	int COOPERATIVE_FEATURE = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATIVE_FEATURE__NAME = commonPackage.NAMED_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATIVE_FEATURE__ELEMENTS = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Cooperative Feature</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATIVE_FEATURE_FEATURE_COUNT = commonPackage.NAMED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.ReputationModelImpl <em>Reputation Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.ReputationModelImpl
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getReputationModel()
	 * @generated
	 */
	int REPUTATION_MODEL = 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPUTATION_MODEL__NAME = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Reputation Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPUTATION_MODEL_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.DynamicLegislationCategoryImpl <em>Dynamic Legislation Category</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.DynamicLegislationCategoryImpl
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getDynamicLegislationCategory()
	 * @generated
	 */
	int DYNAMIC_LEGISLATION_CATEGORY = 3;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DYNAMIC_LEGISLATION_CATEGORY__NAME = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Dynamic Legislation Category</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DYNAMIC_LEGISLATION_CATEGORY_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.PilarcosPolicyFrameworkImpl <em>Pilarcos Policy Framework</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.PilarcosPolicyFrameworkImpl
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getPilarcosPolicyFramework()
	 * @generated
	 */
	int PILARCOS_POLICY_FRAMEWORK = 4;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_POLICY_FRAMEWORK__NAME = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Pilarcos Policy Framework</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_POLICY_FRAMEWORK_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.DynamicBusinessModelCategoryImpl <em>Dynamic Business Model Category</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.DynamicBusinessModelCategoryImpl
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getDynamicBusinessModelCategory()
	 * @generated
	 */
	int DYNAMIC_BUSINESS_MODEL_CATEGORY = 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DYNAMIC_BUSINESS_MODEL_CATEGORY__NAME = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Dynamic Business Model Category</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DYNAMIC_BUSINESS_MODEL_CATEGORY_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.RoleAssociationRuleImpl <em>Role Association Rule</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.RoleAssociationRuleImpl
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getRoleAssociationRule()
	 * @generated
	 */
	int ROLE_ASSOCIATION_RULE = 6;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROLE_ASSOCIATION_RULE__NAME = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Role Association Rule</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROLE_ASSOCIATION_RULE_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.RoleDependencyPolicyImpl <em>Role Dependency Policy</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.RoleDependencyPolicyImpl
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getRoleDependencyPolicy()
	 * @generated
	 */
	int ROLE_DEPENDENCY_POLICY = 7;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROLE_DEPENDENCY_POLICY__NAME = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Role Dependency Policy</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROLE_DEPENDENCY_POLICY_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.RoleDependencyPolicyKindImpl <em>Role Dependency Policy Kind</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.RoleDependencyPolicyKindImpl
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getRoleDependencyPolicyKind()
	 * @generated
	 */
	int ROLE_DEPENDENCY_POLICY_KIND = 8;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROLE_DEPENDENCY_POLICY_KIND__NAME = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Role Dependency Policy Kind</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROLE_DEPENDENCY_POLICY_KIND_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 1;


	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.ModelElement <em>Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Model Element</em>'.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.ModelElement
	 * @generated
	 */
	EClass getModelElement();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.CooperativeFeature <em>Cooperative Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Cooperative Feature</em>'.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.CooperativeFeature
	 * @generated
	 */
	EClass getCooperativeFeature();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.CooperativeFeature#getElements <em>Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Elements</em>'.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.CooperativeFeature#getElements()
	 * @see #getCooperativeFeature()
	 * @generated
	 */
	EReference getCooperativeFeature_Elements();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.ReputationModel <em>Reputation Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Reputation Model</em>'.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.ReputationModel
	 * @generated
	 */
	EClass getReputationModel();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.DynamicLegislationCategory <em>Dynamic Legislation Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Dynamic Legislation Category</em>'.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.DynamicLegislationCategory
	 * @generated
	 */
	EClass getDynamicLegislationCategory();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.PilarcosPolicyFramework <em>Pilarcos Policy Framework</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Pilarcos Policy Framework</em>'.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.PilarcosPolicyFramework
	 * @generated
	 */
	EClass getPilarcosPolicyFramework();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.DynamicBusinessModelCategory <em>Dynamic Business Model Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Dynamic Business Model Category</em>'.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.DynamicBusinessModelCategory
	 * @generated
	 */
	EClass getDynamicBusinessModelCategory();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.RoleAssociationRule <em>Role Association Rule</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Role Association Rule</em>'.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.RoleAssociationRule
	 * @generated
	 */
	EClass getRoleAssociationRule();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.RoleDependencyPolicy <em>Role Dependency Policy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Role Dependency Policy</em>'.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.RoleDependencyPolicy
	 * @generated
	 */
	EClass getRoleDependencyPolicy();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.RoleDependencyPolicyKind <em>Role Dependency Policy Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Role Dependency Policy Kind</em>'.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.RoleDependencyPolicyKind
	 * @generated
	 */
	EClass getRoleDependencyPolicyKind();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	cooperativefeatureFactory getcooperativefeatureFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.ModelElementImpl <em>Model Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.ModelElementImpl
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getModelElement()
		 * @generated
		 */
		EClass MODEL_ELEMENT = eINSTANCE.getModelElement();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.CooperativeFeatureImpl <em>Cooperative Feature</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.CooperativeFeatureImpl
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getCooperativeFeature()
		 * @generated
		 */
		EClass COOPERATIVE_FEATURE = eINSTANCE.getCooperativeFeature();

		/**
		 * The meta object literal for the '<em><b>Elements</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COOPERATIVE_FEATURE__ELEMENTS = eINSTANCE.getCooperativeFeature_Elements();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.ReputationModelImpl <em>Reputation Model</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.ReputationModelImpl
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getReputationModel()
		 * @generated
		 */
		EClass REPUTATION_MODEL = eINSTANCE.getReputationModel();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.DynamicLegislationCategoryImpl <em>Dynamic Legislation Category</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.DynamicLegislationCategoryImpl
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getDynamicLegislationCategory()
		 * @generated
		 */
		EClass DYNAMIC_LEGISLATION_CATEGORY = eINSTANCE.getDynamicLegislationCategory();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.PilarcosPolicyFrameworkImpl <em>Pilarcos Policy Framework</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.PilarcosPolicyFrameworkImpl
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getPilarcosPolicyFramework()
		 * @generated
		 */
		EClass PILARCOS_POLICY_FRAMEWORK = eINSTANCE.getPilarcosPolicyFramework();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.DynamicBusinessModelCategoryImpl <em>Dynamic Business Model Category</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.DynamicBusinessModelCategoryImpl
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getDynamicBusinessModelCategory()
		 * @generated
		 */
		EClass DYNAMIC_BUSINESS_MODEL_CATEGORY = eINSTANCE.getDynamicBusinessModelCategory();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.RoleAssociationRuleImpl <em>Role Association Rule</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.RoleAssociationRuleImpl
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getRoleAssociationRule()
		 * @generated
		 */
		EClass ROLE_ASSOCIATION_RULE = eINSTANCE.getRoleAssociationRule();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.RoleDependencyPolicyImpl <em>Role Dependency Policy</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.RoleDependencyPolicyImpl
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getRoleDependencyPolicy()
		 * @generated
		 */
		EClass ROLE_DEPENDENCY_POLICY = eINSTANCE.getRoleDependencyPolicy();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.RoleDependencyPolicyKindImpl <em>Role Dependency Policy Kind</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.RoleDependencyPolicyKindImpl
		 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl#getRoleDependencyPolicyKind()
		 * @generated
		 */
		EClass ROLE_DEPENDENCY_POLICY_KIND = eINSTANCE.getRoleDependencyPolicyKind();

	}

} //cooperativefeaturePackage
