/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.util;

import org.cinco.pilarcos.common.common.NamedElement;

import org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.cooperativefeaturePackage
 * @generated
 */
public class cooperativefeatureAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static cooperativefeaturePackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public cooperativefeatureAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = cooperativefeaturePackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected cooperativefeatureSwitch<Adapter> modelSwitch =
		new cooperativefeatureSwitch<Adapter>() {
			@Override
			public Adapter caseModelElement(ModelElement object) {
				return createModelElementAdapter();
			}
			@Override
			public Adapter caseCooperativeFeature(CooperativeFeature object) {
				return createCooperativeFeatureAdapter();
			}
			@Override
			public Adapter caseReputationModel(ReputationModel object) {
				return createReputationModelAdapter();
			}
			@Override
			public Adapter caseDynamicLegislationCategory(DynamicLegislationCategory object) {
				return createDynamicLegislationCategoryAdapter();
			}
			@Override
			public Adapter casePilarcosPolicyFramework(PilarcosPolicyFramework object) {
				return createPilarcosPolicyFrameworkAdapter();
			}
			@Override
			public Adapter caseDynamicBusinessModelCategory(DynamicBusinessModelCategory object) {
				return createDynamicBusinessModelCategoryAdapter();
			}
			@Override
			public Adapter caseRoleAssociationRule(RoleAssociationRule object) {
				return createRoleAssociationRuleAdapter();
			}
			@Override
			public Adapter caseRoleDependencyPolicy(RoleDependencyPolicy object) {
				return createRoleDependencyPolicyAdapter();
			}
			@Override
			public Adapter caseRoleDependencyPolicyKind(RoleDependencyPolicyKind object) {
				return createRoleDependencyPolicyKindAdapter();
			}
			@Override
			public Adapter caseNamedElement(NamedElement object) {
				return createNamedElementAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.ModelElement <em>Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.ModelElement
	 * @generated
	 */
	public Adapter createModelElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.CooperativeFeature <em>Cooperative Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.CooperativeFeature
	 * @generated
	 */
	public Adapter createCooperativeFeatureAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.ReputationModel <em>Reputation Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.ReputationModel
	 * @generated
	 */
	public Adapter createReputationModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.DynamicLegislationCategory <em>Dynamic Legislation Category</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.DynamicLegislationCategory
	 * @generated
	 */
	public Adapter createDynamicLegislationCategoryAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.PilarcosPolicyFramework <em>Pilarcos Policy Framework</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.PilarcosPolicyFramework
	 * @generated
	 */
	public Adapter createPilarcosPolicyFrameworkAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.DynamicBusinessModelCategory <em>Dynamic Business Model Category</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.DynamicBusinessModelCategory
	 * @generated
	 */
	public Adapter createDynamicBusinessModelCategoryAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.RoleAssociationRule <em>Role Association Rule</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.RoleAssociationRule
	 * @generated
	 */
	public Adapter createRoleAssociationRuleAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.RoleDependencyPolicy <em>Role Dependency Policy</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.RoleDependencyPolicy
	 * @generated
	 */
	public Adapter createRoleDependencyPolicyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.RoleDependencyPolicyKind <em>Role Dependency Policy Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.RoleDependencyPolicyKind
	 * @generated
	 */
	public Adapter createRoleDependencyPolicyKindAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.common.NamedElement <em>Named Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.common.NamedElement
	 * @generated
	 */
	public Adapter createNamedElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //cooperativefeatureAdapterFactory
