/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.util;

import java.util.List;

import org.cinco.pilarcos.common.common.NamedElement;

import org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.cooperativefeaturePackage
 * @generated
 */
public class cooperativefeatureSwitch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static cooperativefeaturePackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public cooperativefeatureSwitch() {
		if (modelPackage == null) {
			modelPackage = cooperativefeaturePackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public T doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List<EClass> eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch(eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case cooperativefeaturePackage.MODEL_ELEMENT: {
				ModelElement modelElement = (ModelElement)theEObject;
				T result = caseModelElement(modelElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativefeaturePackage.COOPERATIVE_FEATURE: {
				CooperativeFeature cooperativeFeature = (CooperativeFeature)theEObject;
				T result = caseCooperativeFeature(cooperativeFeature);
				if (result == null) result = caseNamedElement(cooperativeFeature);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativefeaturePackage.REPUTATION_MODEL: {
				ReputationModel reputationModel = (ReputationModel)theEObject;
				T result = caseReputationModel(reputationModel);
				if (result == null) result = caseModelElement(reputationModel);
				if (result == null) result = caseNamedElement(reputationModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativefeaturePackage.DYNAMIC_LEGISLATION_CATEGORY: {
				DynamicLegislationCategory dynamicLegislationCategory = (DynamicLegislationCategory)theEObject;
				T result = caseDynamicLegislationCategory(dynamicLegislationCategory);
				if (result == null) result = caseModelElement(dynamicLegislationCategory);
				if (result == null) result = caseNamedElement(dynamicLegislationCategory);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativefeaturePackage.PILARCOS_POLICY_FRAMEWORK: {
				PilarcosPolicyFramework pilarcosPolicyFramework = (PilarcosPolicyFramework)theEObject;
				T result = casePilarcosPolicyFramework(pilarcosPolicyFramework);
				if (result == null) result = caseModelElement(pilarcosPolicyFramework);
				if (result == null) result = caseNamedElement(pilarcosPolicyFramework);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativefeaturePackage.DYNAMIC_BUSINESS_MODEL_CATEGORY: {
				DynamicBusinessModelCategory dynamicBusinessModelCategory = (DynamicBusinessModelCategory)theEObject;
				T result = caseDynamicBusinessModelCategory(dynamicBusinessModelCategory);
				if (result == null) result = caseModelElement(dynamicBusinessModelCategory);
				if (result == null) result = caseNamedElement(dynamicBusinessModelCategory);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativefeaturePackage.ROLE_ASSOCIATION_RULE: {
				RoleAssociationRule roleAssociationRule = (RoleAssociationRule)theEObject;
				T result = caseRoleAssociationRule(roleAssociationRule);
				if (result == null) result = caseModelElement(roleAssociationRule);
				if (result == null) result = caseNamedElement(roleAssociationRule);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativefeaturePackage.ROLE_DEPENDENCY_POLICY: {
				RoleDependencyPolicy roleDependencyPolicy = (RoleDependencyPolicy)theEObject;
				T result = caseRoleDependencyPolicy(roleDependencyPolicy);
				if (result == null) result = caseRoleDependencyPolicyKind(roleDependencyPolicy);
				if (result == null) result = caseModelElement(roleDependencyPolicy);
				if (result == null) result = caseNamedElement(roleDependencyPolicy);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativefeaturePackage.ROLE_DEPENDENCY_POLICY_KIND: {
				RoleDependencyPolicyKind roleDependencyPolicyKind = (RoleDependencyPolicyKind)theEObject;
				T result = caseRoleDependencyPolicyKind(roleDependencyPolicyKind);
				if (result == null) result = caseModelElement(roleDependencyPolicyKind);
				if (result == null) result = caseNamedElement(roleDependencyPolicyKind);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cooperative Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cooperative Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCooperativeFeature(CooperativeFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Reputation Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Reputation Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReputationModel(ReputationModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Dynamic Legislation Category</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Dynamic Legislation Category</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDynamicLegislationCategory(DynamicLegislationCategory object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pilarcos Policy Framework</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pilarcos Policy Framework</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePilarcosPolicyFramework(PilarcosPolicyFramework object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Dynamic Business Model Category</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Dynamic Business Model Category</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDynamicBusinessModelCategory(DynamicBusinessModelCategory object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Role Association Rule</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Role Association Rule</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRoleAssociationRule(RoleAssociationRule object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Role Dependency Policy</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Role Dependency Policy</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRoleDependencyPolicy(RoleDependencyPolicy object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Role Dependency Policy Kind</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Role Dependency Policy Kind</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRoleDependencyPolicyKind(RoleDependencyPolicyKind object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public T defaultCase(EObject object) {
		return null;
	}

} //cooperativefeatureSwitch
