/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.util;

import org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.cooperativefeaturerepositoryPackage
 * @generated
 */
public class cooperativefeaturerepositoryAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static cooperativefeaturerepositoryPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public cooperativefeaturerepositoryAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = cooperativefeaturerepositoryPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected cooperativefeaturerepositorySwitch<Adapter> modelSwitch =
		new cooperativefeaturerepositorySwitch<Adapter>() {
			@Override
			public Adapter caseCooperativeFeatureRepositoryModel(CooperativeFeatureRepositoryModel object) {
				return createCooperativeFeatureRepositoryModelAdapter();
			}
			@Override
			public Adapter caseCooperativeFeatureRelationship(CooperativeFeatureRelationship object) {
				return createCooperativeFeatureRelationshipAdapter();
			}
			@Override
			public Adapter caseDynamicLegislationCategorySet(DynamicLegislationCategorySet object) {
				return createDynamicLegislationCategorySetAdapter();
			}
			@Override
			public Adapter caseDynamicBusinessModelCategorySet(DynamicBusinessModelCategorySet object) {
				return createDynamicBusinessModelCategorySetAdapter();
			}
			@Override
			public Adapter caseRoleDependencyPolicyKindSet(RoleDependencyPolicyKindSet object) {
				return createRoleDependencyPolicyKindSetAdapter();
			}
			@Override
			public Adapter caseRoleDependencyPolicySet(RoleDependencyPolicySet object) {
				return createRoleDependencyPolicySetAdapter();
			}
			@Override
			public Adapter casePilarcosPolicyFrameworkSet(PilarcosPolicyFrameworkSet object) {
				return createPilarcosPolicyFrameworkSetAdapter();
			}
			@Override
			public Adapter caseReputationModelSet(ReputationModelSet object) {
				return createReputationModelSetAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel <em>Cooperative Feature Repository Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel
	 * @generated
	 */
	public Adapter createCooperativeFeatureRepositoryModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRelationship <em>Cooperative Feature Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRelationship
	 * @generated
	 */
	public Adapter createCooperativeFeatureRelationshipAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.DynamicLegislationCategorySet <em>Dynamic Legislation Category Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.DynamicLegislationCategorySet
	 * @generated
	 */
	public Adapter createDynamicLegislationCategorySetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.DynamicBusinessModelCategorySet <em>Dynamic Business Model Category Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.DynamicBusinessModelCategorySet
	 * @generated
	 */
	public Adapter createDynamicBusinessModelCategorySetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.RoleDependencyPolicyKindSet <em>Role Dependency Policy Kind Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.RoleDependencyPolicyKindSet
	 * @generated
	 */
	public Adapter createRoleDependencyPolicyKindSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.RoleDependencyPolicySet <em>Role Dependency Policy Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.RoleDependencyPolicySet
	 * @generated
	 */
	public Adapter createRoleDependencyPolicySetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.PilarcosPolicyFrameworkSet <em>Pilarcos Policy Framework Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.PilarcosPolicyFrameworkSet
	 * @generated
	 */
	public Adapter createPilarcosPolicyFrameworkSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.ReputationModelSet <em>Reputation Model Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.ReputationModelSet
	 * @generated
	 */
	public Adapter createReputationModelSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //cooperativefeaturerepositoryAdapterFactory
