/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.util;

import java.util.List;

import org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.cooperativefeaturerepositoryPackage
 * @generated
 */
public class cooperativefeaturerepositorySwitch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static cooperativefeaturerepositoryPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public cooperativefeaturerepositorySwitch() {
		if (modelPackage == null) {
			modelPackage = cooperativefeaturerepositoryPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public T doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List<EClass> eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch(eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL: {
				CooperativeFeatureRepositoryModel cooperativeFeatureRepositoryModel = (CooperativeFeatureRepositoryModel)theEObject;
				T result = caseCooperativeFeatureRepositoryModel(cooperativeFeatureRepositoryModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_RELATIONSHIP: {
				CooperativeFeatureRelationship cooperativeFeatureRelationship = (CooperativeFeatureRelationship)theEObject;
				T result = caseCooperativeFeatureRelationship(cooperativeFeatureRelationship);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativefeaturerepositoryPackage.DYNAMIC_LEGISLATION_CATEGORY_SET: {
				DynamicLegislationCategorySet dynamicLegislationCategorySet = (DynamicLegislationCategorySet)theEObject;
				T result = caseDynamicLegislationCategorySet(dynamicLegislationCategorySet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativefeaturerepositoryPackage.DYNAMIC_BUSINESS_MODEL_CATEGORY_SET: {
				DynamicBusinessModelCategorySet dynamicBusinessModelCategorySet = (DynamicBusinessModelCategorySet)theEObject;
				T result = caseDynamicBusinessModelCategorySet(dynamicBusinessModelCategorySet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativefeaturerepositoryPackage.ROLE_DEPENDENCY_POLICY_KIND_SET: {
				RoleDependencyPolicyKindSet roleDependencyPolicyKindSet = (RoleDependencyPolicyKindSet)theEObject;
				T result = caseRoleDependencyPolicyKindSet(roleDependencyPolicyKindSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativefeaturerepositoryPackage.ROLE_DEPENDENCY_POLICY_SET: {
				RoleDependencyPolicySet roleDependencyPolicySet = (RoleDependencyPolicySet)theEObject;
				T result = caseRoleDependencyPolicySet(roleDependencyPolicySet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativefeaturerepositoryPackage.PILARCOS_POLICY_FRAMEWORK_SET: {
				PilarcosPolicyFrameworkSet pilarcosPolicyFrameworkSet = (PilarcosPolicyFrameworkSet)theEObject;
				T result = casePilarcosPolicyFrameworkSet(pilarcosPolicyFrameworkSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativefeaturerepositoryPackage.REPUTATION_MODEL_SET: {
				ReputationModelSet reputationModelSet = (ReputationModelSet)theEObject;
				T result = caseReputationModelSet(reputationModelSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cooperative Feature Repository Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cooperative Feature Repository Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCooperativeFeatureRepositoryModel(CooperativeFeatureRepositoryModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cooperative Feature Relationship</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cooperative Feature Relationship</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCooperativeFeatureRelationship(CooperativeFeatureRelationship object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Dynamic Legislation Category Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Dynamic Legislation Category Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDynamicLegislationCategorySet(DynamicLegislationCategorySet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Dynamic Business Model Category Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Dynamic Business Model Category Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDynamicBusinessModelCategorySet(DynamicBusinessModelCategorySet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Role Dependency Policy Kind Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Role Dependency Policy Kind Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRoleDependencyPolicyKindSet(RoleDependencyPolicyKindSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Role Dependency Policy Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Role Dependency Policy Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRoleDependencyPolicySet(RoleDependencyPolicySet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pilarcos Policy Framework Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pilarcos Policy Framework Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePilarcosPolicyFrameworkSet(PilarcosPolicyFrameworkSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Reputation Model Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Reputation Model Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReputationModelSet(ReputationModelSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public T defaultCase(EObject object) {
		return null;
	}

} //cooperativefeaturerepositorySwitch
