/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.cooperativepropertyrepositoryFactory
 * @model kind="package"
 * @generated
 */
public interface cooperativepropertyrepositoryPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "cooperativepropertyrepository";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://cinco.org/pilarcos/cooperativepropertyrepository/repository";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "CooperativePropertyRepository";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	cooperativepropertyrepositoryPackage eINSTANCE = org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.cooperativepropertyrepositoryPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.CooperativePropertyRepositoryModelImpl <em>Cooperative Property Repository Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.CooperativePropertyRepositoryModelImpl
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.cooperativepropertyrepositoryPackageImpl#getCooperativePropertyRepositoryModel()
	 * @generated
	 */
	int COOPERATIVE_PROPERTY_REPOSITORY_MODEL = 0;

	/**
	 * The feature id for the '<em><b>Models</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATIVE_PROPERTY_REPOSITORY_MODEL__MODELS = 0;

	/**
	 * The feature id for the '<em><b>Relationships</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATIVE_PROPERTY_REPOSITORY_MODEL__RELATIONSHIPS = 1;

	/**
	 * The feature id for the '<em><b>Businessmodelconformancepointset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATIVE_PROPERTY_REPOSITORY_MODEL__BUSINESSMODELCONFORMANCEPOINTSET = 2;

	/**
	 * The feature id for the '<em><b>Policyconformancepointset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATIVE_PROPERTY_REPOSITORY_MODEL__POLICYCONFORMANCEPOINTSET = 3;

	/**
	 * The feature id for the '<em><b>Legislationconformancepointset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATIVE_PROPERTY_REPOSITORY_MODEL__LEGISLATIONCONFORMANCEPOINTSET = 4;

	/**
	 * The feature id for the '<em><b>Pilarcosentityreputationset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATIVE_PROPERTY_REPOSITORY_MODEL__PILARCOSENTITYREPUTATIONSET = 5;

	/**
	 * The number of structural features of the '<em>Cooperative Property Repository Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATIVE_PROPERTY_REPOSITORY_MODEL_FEATURE_COUNT = 6;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.CooperativePropertyRelationshipImpl <em>Cooperative Property Relationship</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.CooperativePropertyRelationshipImpl
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.cooperativepropertyrepositoryPackageImpl#getCooperativePropertyRelationship()
	 * @generated
	 */
	int COOPERATIVE_PROPERTY_RELATIONSHIP = 1;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATIVE_PROPERTY_RELATIONSHIP__SOURCE = 0;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATIVE_PROPERTY_RELATIONSHIP__TARGET = 1;

	/**
	 * The feature id for the '<em><b>Kind</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATIVE_PROPERTY_RELATIONSHIP__KIND = 2;

	/**
	 * The number of structural features of the '<em>Cooperative Property Relationship</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COOPERATIVE_PROPERTY_RELATIONSHIP_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.PilarcosEntityReputationSetImpl <em>Pilarcos Entity Reputation Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.PilarcosEntityReputationSetImpl
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.cooperativepropertyrepositoryPackageImpl#getPilarcosEntityReputationSet()
	 * @generated
	 */
	int PILARCOS_ENTITY_REPUTATION_SET = 2;

	/**
	 * The feature id for the '<em><b>Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_ENTITY_REPUTATION_SET__ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Pilarcos Entity Reputation Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PILARCOS_ENTITY_REPUTATION_SET_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.LegislationConformancePointSetImpl <em>Legislation Conformance Point Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.LegislationConformancePointSetImpl
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.cooperativepropertyrepositoryPackageImpl#getLegislationConformancePointSet()
	 * @generated
	 */
	int LEGISLATION_CONFORMANCE_POINT_SET = 3;

	/**
	 * The feature id for the '<em><b>Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEGISLATION_CONFORMANCE_POINT_SET__ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Legislation Conformance Point Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEGISLATION_CONFORMANCE_POINT_SET_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.BusinessModelConformancePointSetImpl <em>Business Model Conformance Point Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.BusinessModelConformancePointSetImpl
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.cooperativepropertyrepositoryPackageImpl#getBusinessModelConformancePointSet()
	 * @generated
	 */
	int BUSINESS_MODEL_CONFORMANCE_POINT_SET = 4;

	/**
	 * The feature id for the '<em><b>Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_MODEL_CONFORMANCE_POINT_SET__ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Business Model Conformance Point Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUSINESS_MODEL_CONFORMANCE_POINT_SET_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.PolicyConformancePointSetImpl <em>Policy Conformance Point Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.PolicyConformancePointSetImpl
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.cooperativepropertyrepositoryPackageImpl#getPolicyConformancePointSet()
	 * @generated
	 */
	int POLICY_CONFORMANCE_POINT_SET = 5;

	/**
	 * The feature id for the '<em><b>Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POLICY_CONFORMANCE_POINT_SET__ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Policy Conformance Point Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POLICY_CONFORMANCE_POINT_SET_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryEnum <em>Cooperative Property Repository Enum</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryEnum
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.cooperativepropertyrepositoryPackageImpl#getCooperativePropertyRepositoryEnum()
	 * @generated
	 */
	int COOPERATIVE_PROPERTY_REPOSITORY_ENUM = 6;


	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel <em>Cooperative Property Repository Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Cooperative Property Repository Model</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel
	 * @generated
	 */
	EClass getCooperativePropertyRepositoryModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel#getModels <em>Models</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Models</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel#getModels()
	 * @see #getCooperativePropertyRepositoryModel()
	 * @generated
	 */
	EReference getCooperativePropertyRepositoryModel_Models();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel#getRelationships <em>Relationships</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Relationships</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel#getRelationships()
	 * @see #getCooperativePropertyRepositoryModel()
	 * @generated
	 */
	EReference getCooperativePropertyRepositoryModel_Relationships();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel#getBusinessmodelconformancepointset <em>Businessmodelconformancepointset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Businessmodelconformancepointset</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel#getBusinessmodelconformancepointset()
	 * @see #getCooperativePropertyRepositoryModel()
	 * @generated
	 */
	EReference getCooperativePropertyRepositoryModel_Businessmodelconformancepointset();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel#getPolicyconformancepointset <em>Policyconformancepointset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Policyconformancepointset</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel#getPolicyconformancepointset()
	 * @see #getCooperativePropertyRepositoryModel()
	 * @generated
	 */
	EReference getCooperativePropertyRepositoryModel_Policyconformancepointset();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel#getLegislationconformancepointset <em>Legislationconformancepointset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Legislationconformancepointset</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel#getLegislationconformancepointset()
	 * @see #getCooperativePropertyRepositoryModel()
	 * @generated
	 */
	EReference getCooperativePropertyRepositoryModel_Legislationconformancepointset();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel#getPilarcosentityreputationset <em>Pilarcosentityreputationset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Pilarcosentityreputationset</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel#getPilarcosentityreputationset()
	 * @see #getCooperativePropertyRepositoryModel()
	 * @generated
	 */
	EReference getCooperativePropertyRepositoryModel_Pilarcosentityreputationset();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRelationship <em>Cooperative Property Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Cooperative Property Relationship</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRelationship
	 * @generated
	 */
	EClass getCooperativePropertyRelationship();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRelationship#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Source</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRelationship#getSource()
	 * @see #getCooperativePropertyRelationship()
	 * @generated
	 */
	EReference getCooperativePropertyRelationship_Source();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRelationship#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Target</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRelationship#getTarget()
	 * @see #getCooperativePropertyRelationship()
	 * @generated
	 */
	EReference getCooperativePropertyRelationship_Target();

	/**
	 * Returns the meta object for the attribute '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRelationship#getKind <em>Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Kind</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRelationship#getKind()
	 * @see #getCooperativePropertyRelationship()
	 * @generated
	 */
	EAttribute getCooperativePropertyRelationship_Kind();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.PilarcosEntityReputationSet <em>Pilarcos Entity Reputation Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Pilarcos Entity Reputation Set</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.PilarcosEntityReputationSet
	 * @generated
	 */
	EClass getPilarcosEntityReputationSet();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.PilarcosEntityReputationSet#getElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Element</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.PilarcosEntityReputationSet#getElement()
	 * @see #getPilarcosEntityReputationSet()
	 * @generated
	 */
	EReference getPilarcosEntityReputationSet_Element();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.LegislationConformancePointSet <em>Legislation Conformance Point Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Legislation Conformance Point Set</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.LegislationConformancePointSet
	 * @generated
	 */
	EClass getLegislationConformancePointSet();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.LegislationConformancePointSet#getElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Element</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.LegislationConformancePointSet#getElement()
	 * @see #getLegislationConformancePointSet()
	 * @generated
	 */
	EReference getLegislationConformancePointSet_Element();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.BusinessModelConformancePointSet <em>Business Model Conformance Point Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Business Model Conformance Point Set</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.BusinessModelConformancePointSet
	 * @generated
	 */
	EClass getBusinessModelConformancePointSet();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.BusinessModelConformancePointSet#getElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Element</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.BusinessModelConformancePointSet#getElement()
	 * @see #getBusinessModelConformancePointSet()
	 * @generated
	 */
	EReference getBusinessModelConformancePointSet_Element();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.PolicyConformancePointSet <em>Policy Conformance Point Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Policy Conformance Point Set</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.PolicyConformancePointSet
	 * @generated
	 */
	EClass getPolicyConformancePointSet();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.PolicyConformancePointSet#getElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Element</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.PolicyConformancePointSet#getElement()
	 * @see #getPolicyConformancePointSet()
	 * @generated
	 */
	EReference getPolicyConformancePointSet_Element();

	/**
	 * Returns the meta object for enum '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryEnum <em>Cooperative Property Repository Enum</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Cooperative Property Repository Enum</em>'.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryEnum
	 * @generated
	 */
	EEnum getCooperativePropertyRepositoryEnum();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	cooperativepropertyrepositoryFactory getcooperativepropertyrepositoryFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.CooperativePropertyRepositoryModelImpl <em>Cooperative Property Repository Model</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.CooperativePropertyRepositoryModelImpl
		 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.cooperativepropertyrepositoryPackageImpl#getCooperativePropertyRepositoryModel()
		 * @generated
		 */
		EClass COOPERATIVE_PROPERTY_REPOSITORY_MODEL = eINSTANCE.getCooperativePropertyRepositoryModel();

		/**
		 * The meta object literal for the '<em><b>Models</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COOPERATIVE_PROPERTY_REPOSITORY_MODEL__MODELS = eINSTANCE.getCooperativePropertyRepositoryModel_Models();

		/**
		 * The meta object literal for the '<em><b>Relationships</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COOPERATIVE_PROPERTY_REPOSITORY_MODEL__RELATIONSHIPS = eINSTANCE.getCooperativePropertyRepositoryModel_Relationships();

		/**
		 * The meta object literal for the '<em><b>Businessmodelconformancepointset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COOPERATIVE_PROPERTY_REPOSITORY_MODEL__BUSINESSMODELCONFORMANCEPOINTSET = eINSTANCE.getCooperativePropertyRepositoryModel_Businessmodelconformancepointset();

		/**
		 * The meta object literal for the '<em><b>Policyconformancepointset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COOPERATIVE_PROPERTY_REPOSITORY_MODEL__POLICYCONFORMANCEPOINTSET = eINSTANCE.getCooperativePropertyRepositoryModel_Policyconformancepointset();

		/**
		 * The meta object literal for the '<em><b>Legislationconformancepointset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COOPERATIVE_PROPERTY_REPOSITORY_MODEL__LEGISLATIONCONFORMANCEPOINTSET = eINSTANCE.getCooperativePropertyRepositoryModel_Legislationconformancepointset();

		/**
		 * The meta object literal for the '<em><b>Pilarcosentityreputationset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COOPERATIVE_PROPERTY_REPOSITORY_MODEL__PILARCOSENTITYREPUTATIONSET = eINSTANCE.getCooperativePropertyRepositoryModel_Pilarcosentityreputationset();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.CooperativePropertyRelationshipImpl <em>Cooperative Property Relationship</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.CooperativePropertyRelationshipImpl
		 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.cooperativepropertyrepositoryPackageImpl#getCooperativePropertyRelationship()
		 * @generated
		 */
		EClass COOPERATIVE_PROPERTY_RELATIONSHIP = eINSTANCE.getCooperativePropertyRelationship();

		/**
		 * The meta object literal for the '<em><b>Source</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COOPERATIVE_PROPERTY_RELATIONSHIP__SOURCE = eINSTANCE.getCooperativePropertyRelationship_Source();

		/**
		 * The meta object literal for the '<em><b>Target</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COOPERATIVE_PROPERTY_RELATIONSHIP__TARGET = eINSTANCE.getCooperativePropertyRelationship_Target();

		/**
		 * The meta object literal for the '<em><b>Kind</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COOPERATIVE_PROPERTY_RELATIONSHIP__KIND = eINSTANCE.getCooperativePropertyRelationship_Kind();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.PilarcosEntityReputationSetImpl <em>Pilarcos Entity Reputation Set</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.PilarcosEntityReputationSetImpl
		 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.cooperativepropertyrepositoryPackageImpl#getPilarcosEntityReputationSet()
		 * @generated
		 */
		EClass PILARCOS_ENTITY_REPUTATION_SET = eINSTANCE.getPilarcosEntityReputationSet();

		/**
		 * The meta object literal for the '<em><b>Element</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PILARCOS_ENTITY_REPUTATION_SET__ELEMENT = eINSTANCE.getPilarcosEntityReputationSet_Element();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.LegislationConformancePointSetImpl <em>Legislation Conformance Point Set</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.LegislationConformancePointSetImpl
		 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.cooperativepropertyrepositoryPackageImpl#getLegislationConformancePointSet()
		 * @generated
		 */
		EClass LEGISLATION_CONFORMANCE_POINT_SET = eINSTANCE.getLegislationConformancePointSet();

		/**
		 * The meta object literal for the '<em><b>Element</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference LEGISLATION_CONFORMANCE_POINT_SET__ELEMENT = eINSTANCE.getLegislationConformancePointSet_Element();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.BusinessModelConformancePointSetImpl <em>Business Model Conformance Point Set</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.BusinessModelConformancePointSetImpl
		 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.cooperativepropertyrepositoryPackageImpl#getBusinessModelConformancePointSet()
		 * @generated
		 */
		EClass BUSINESS_MODEL_CONFORMANCE_POINT_SET = eINSTANCE.getBusinessModelConformancePointSet();

		/**
		 * The meta object literal for the '<em><b>Element</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUSINESS_MODEL_CONFORMANCE_POINT_SET__ELEMENT = eINSTANCE.getBusinessModelConformancePointSet_Element();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.PolicyConformancePointSetImpl <em>Policy Conformance Point Set</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.PolicyConformancePointSetImpl
		 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.cooperativepropertyrepositoryPackageImpl#getPolicyConformancePointSet()
		 * @generated
		 */
		EClass POLICY_CONFORMANCE_POINT_SET = eINSTANCE.getPolicyConformancePointSet();

		/**
		 * The meta object literal for the '<em><b>Element</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference POLICY_CONFORMANCE_POINT_SET__ELEMENT = eINSTANCE.getPolicyConformancePointSet_Element();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryEnum <em>Cooperative Property Repository Enum</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryEnum
		 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.cooperativepropertyrepositoryPackageImpl#getCooperativePropertyRepositoryEnum()
		 * @generated
		 */
		EEnum COOPERATIVE_PROPERTY_REPOSITORY_ENUM = eINSTANCE.getCooperativePropertyRepositoryEnum();

	}

} //cooperativepropertyrepositoryPackage
