/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.util;

import org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.cooperativepropertyrepositoryPackage
 * @generated
 */
public class cooperativepropertyrepositoryAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static cooperativepropertyrepositoryPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public cooperativepropertyrepositoryAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = cooperativepropertyrepositoryPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected cooperativepropertyrepositorySwitch<Adapter> modelSwitch =
		new cooperativepropertyrepositorySwitch<Adapter>() {
			@Override
			public Adapter caseCooperativePropertyRepositoryModel(CooperativePropertyRepositoryModel object) {
				return createCooperativePropertyRepositoryModelAdapter();
			}
			@Override
			public Adapter caseCooperativePropertyRelationship(CooperativePropertyRelationship object) {
				return createCooperativePropertyRelationshipAdapter();
			}
			@Override
			public Adapter casePilarcosEntityReputationSet(PilarcosEntityReputationSet object) {
				return createPilarcosEntityReputationSetAdapter();
			}
			@Override
			public Adapter caseLegislationConformancePointSet(LegislationConformancePointSet object) {
				return createLegislationConformancePointSetAdapter();
			}
			@Override
			public Adapter caseBusinessModelConformancePointSet(BusinessModelConformancePointSet object) {
				return createBusinessModelConformancePointSetAdapter();
			}
			@Override
			public Adapter casePolicyConformancePointSet(PolicyConformancePointSet object) {
				return createPolicyConformancePointSetAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel <em>Cooperative Property Repository Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel
	 * @generated
	 */
	public Adapter createCooperativePropertyRepositoryModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRelationship <em>Cooperative Property Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRelationship
	 * @generated
	 */
	public Adapter createCooperativePropertyRelationshipAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.PilarcosEntityReputationSet <em>Pilarcos Entity Reputation Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.PilarcosEntityReputationSet
	 * @generated
	 */
	public Adapter createPilarcosEntityReputationSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.LegislationConformancePointSet <em>Legislation Conformance Point Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.LegislationConformancePointSet
	 * @generated
	 */
	public Adapter createLegislationConformancePointSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.BusinessModelConformancePointSet <em>Business Model Conformance Point Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.BusinessModelConformancePointSet
	 * @generated
	 */
	public Adapter createBusinessModelConformancePointSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.PolicyConformancePointSet <em>Policy Conformance Point Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.PolicyConformancePointSet
	 * @generated
	 */
	public Adapter createPolicyConformancePointSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //cooperativepropertyrepositoryAdapterFactory
