/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.util;

import java.util.List;

import org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.cooperativepropertyrepositoryPackage
 * @generated
 */
public class cooperativepropertyrepositorySwitch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static cooperativepropertyrepositoryPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public cooperativepropertyrepositorySwitch() {
		if (modelPackage == null) {
			modelPackage = cooperativepropertyrepositoryPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public T doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List<EClass> eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch(eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL: {
				CooperativePropertyRepositoryModel cooperativePropertyRepositoryModel = (CooperativePropertyRepositoryModel)theEObject;
				T result = caseCooperativePropertyRepositoryModel(cooperativePropertyRepositoryModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_RELATIONSHIP: {
				CooperativePropertyRelationship cooperativePropertyRelationship = (CooperativePropertyRelationship)theEObject;
				T result = caseCooperativePropertyRelationship(cooperativePropertyRelationship);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativepropertyrepositoryPackage.PILARCOS_ENTITY_REPUTATION_SET: {
				PilarcosEntityReputationSet pilarcosEntityReputationSet = (PilarcosEntityReputationSet)theEObject;
				T result = casePilarcosEntityReputationSet(pilarcosEntityReputationSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativepropertyrepositoryPackage.LEGISLATION_CONFORMANCE_POINT_SET: {
				LegislationConformancePointSet legislationConformancePointSet = (LegislationConformancePointSet)theEObject;
				T result = caseLegislationConformancePointSet(legislationConformancePointSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativepropertyrepositoryPackage.BUSINESS_MODEL_CONFORMANCE_POINT_SET: {
				BusinessModelConformancePointSet businessModelConformancePointSet = (BusinessModelConformancePointSet)theEObject;
				T result = caseBusinessModelConformancePointSet(businessModelConformancePointSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case cooperativepropertyrepositoryPackage.POLICY_CONFORMANCE_POINT_SET: {
				PolicyConformancePointSet policyConformancePointSet = (PolicyConformancePointSet)theEObject;
				T result = casePolicyConformancePointSet(policyConformancePointSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cooperative Property Repository Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cooperative Property Repository Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCooperativePropertyRepositoryModel(CooperativePropertyRepositoryModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cooperative Property Relationship</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cooperative Property Relationship</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCooperativePropertyRelationship(CooperativePropertyRelationship object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pilarcos Entity Reputation Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pilarcos Entity Reputation Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePilarcosEntityReputationSet(PilarcosEntityReputationSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Legislation Conformance Point Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Legislation Conformance Point Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseLegislationConformancePointSet(LegislationConformancePointSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Business Model Conformance Point Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Business Model Conformance Point Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBusinessModelConformancePointSet(BusinessModelConformancePointSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Policy Conformance Point Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Policy Conformance Point Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePolicyConformancePointSet(PolicyConformancePointSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public T defaultCase(EObject object) {
		return null;
	}

} //cooperativepropertyrepositorySwitch
