/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.enterprisekindrepository.enterprisekindrepository.util;

import java.util.List;

import org.cinco.pilarcos.enterprisekindrepository.enterprisekindrepository.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.enterprisekindrepository.enterprisekindrepository.enterprisekindrepositoryPackage
 * @generated
 */
public class enterprisekindrepositorySwitch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static enterprisekindrepositoryPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public enterprisekindrepositorySwitch() {
		if (modelPackage == null) {
			modelPackage = enterprisekindrepositoryPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public T doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List<EClass> eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch(eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case enterprisekindrepositoryPackage.ENTERPRISE_KIND_REPOSITORY_MODEL: {
				EnterpriseKindRepositoryModel enterpriseKindRepositoryModel = (EnterpriseKindRepositoryModel)theEObject;
				T result = caseEnterpriseKindRepositoryModel(enterpriseKindRepositoryModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case enterprisekindrepositoryPackage.ENTERPRISE_KIND_KNOWLEDGE_ITEM_TYPE_RELATIONSHIP: {
				EnterpriseKindKnowledgeItemTypeRelationship enterpriseKindKnowledgeItemTypeRelationship = (EnterpriseKindKnowledgeItemTypeRelationship)theEObject;
				T result = caseEnterpriseKindKnowledgeItemTypeRelationship(enterpriseKindKnowledgeItemTypeRelationship);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case enterprisekindrepositoryPackage.ENTERPRISE_KIND_KNOWLEDGE_ITEM_SET: {
				EnterpriseKindKnowledgeItemSet enterpriseKindKnowledgeItemSet = (EnterpriseKindKnowledgeItemSet)theEObject;
				T result = caseEnterpriseKindKnowledgeItemSet(enterpriseKindKnowledgeItemSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Enterprise Kind Repository Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Enterprise Kind Repository Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEnterpriseKindRepositoryModel(EnterpriseKindRepositoryModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Enterprise Kind Knowledge Item Type Relationship</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Enterprise Kind Knowledge Item Type Relationship</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEnterpriseKindKnowledgeItemTypeRelationship(EnterpriseKindKnowledgeItemTypeRelationship object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Enterprise Kind Knowledge Item Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Enterprise Kind Knowledge Item Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEnterpriseKindKnowledgeItemSet(EnterpriseKindKnowledgeItemSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public T defaultCase(EObject object) {
		return null;
	}

} //enterprisekindrepositorySwitch
