/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.util;

import org.cinco.pilarcos.common.common.NamedElement;

import org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.extrafunctionalfeaturePackage
 * @generated
 */
public class extrafunctionalfeatureAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static extrafunctionalfeaturePackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public extrafunctionalfeatureAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = extrafunctionalfeaturePackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected extrafunctionalfeatureSwitch<Adapter> modelSwitch =
		new extrafunctionalfeatureSwitch<Adapter>() {
			@Override
			public Adapter caseModelElement(ModelElement object) {
				return createModelElementAdapter();
			}
			@Override
			public Adapter caseExtraFunctionalFeature(ExtraFunctionalFeature object) {
				return createExtraFunctionalFeatureAdapter();
			}
			@Override
			public Adapter caseSecureCommunication(SecureCommunication object) {
				return createSecureCommunicationAdapter();
			}
			@Override
			public Adapter caseCommunicationFeature(CommunicationFeature object) {
				return createCommunicationFeatureAdapter();
			}
			@Override
			public Adapter caseWS(WS object) {
				return createWSAdapter();
			}
			@Override
			public Adapter caseREST(REST object) {
				return createRESTAdapter();
			}
			@Override
			public Adapter caseInteractionModel(InteractionModel object) {
				return createInteractionModelAdapter();
			}
			@Override
			public Adapter caseNamedElement(NamedElement object) {
				return createNamedElementAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.ModelElement <em>Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.ModelElement
	 * @generated
	 */
	public Adapter createModelElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.ExtraFunctionalFeature <em>Extra Functional Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.ExtraFunctionalFeature
	 * @generated
	 */
	public Adapter createExtraFunctionalFeatureAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.SecureCommunication <em>Secure Communication</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.SecureCommunication
	 * @generated
	 */
	public Adapter createSecureCommunicationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.CommunicationFeature <em>Communication Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.CommunicationFeature
	 * @generated
	 */
	public Adapter createCommunicationFeatureAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.WS <em>WS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.WS
	 * @generated
	 */
	public Adapter createWSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.REST <em>REST</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.REST
	 * @generated
	 */
	public Adapter createRESTAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.InteractionModel <em>Interaction Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.InteractionModel
	 * @generated
	 */
	public Adapter createInteractionModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.common.common.NamedElement <em>Named Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.common.common.NamedElement
	 * @generated
	 */
	public Adapter createNamedElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //extrafunctionalfeatureAdapterFactory
