/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.util;

import java.util.List;

import org.cinco.pilarcos.common.common.NamedElement;

import org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.extrafunctionalfeaturePackage
 * @generated
 */
public class extrafunctionalfeatureSwitch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static extrafunctionalfeaturePackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public extrafunctionalfeatureSwitch() {
		if (modelPackage == null) {
			modelPackage = extrafunctionalfeaturePackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public T doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List<EClass> eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch(eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case extrafunctionalfeaturePackage.MODEL_ELEMENT: {
				ModelElement modelElement = (ModelElement)theEObject;
				T result = caseModelElement(modelElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case extrafunctionalfeaturePackage.EXTRA_FUNCTIONAL_FEATURE: {
				ExtraFunctionalFeature extraFunctionalFeature = (ExtraFunctionalFeature)theEObject;
				T result = caseExtraFunctionalFeature(extraFunctionalFeature);
				if (result == null) result = caseNamedElement(extraFunctionalFeature);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case extrafunctionalfeaturePackage.SECURE_COMMUNICATION: {
				SecureCommunication secureCommunication = (SecureCommunication)theEObject;
				T result = caseSecureCommunication(secureCommunication);
				if (result == null) result = caseModelElement(secureCommunication);
				if (result == null) result = caseNamedElement(secureCommunication);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case extrafunctionalfeaturePackage.COMMUNICATION_FEATURE: {
				CommunicationFeature communicationFeature = (CommunicationFeature)theEObject;
				T result = caseCommunicationFeature(communicationFeature);
				if (result == null) result = caseModelElement(communicationFeature);
				if (result == null) result = caseNamedElement(communicationFeature);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case extrafunctionalfeaturePackage.WS: {
				WS ws = (WS)theEObject;
				T result = caseWS(ws);
				if (result == null) result = caseInteractionModel(ws);
				if (result == null) result = caseModelElement(ws);
				if (result == null) result = caseNamedElement(ws);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case extrafunctionalfeaturePackage.REST: {
				REST rest = (REST)theEObject;
				T result = caseREST(rest);
				if (result == null) result = caseInteractionModel(rest);
				if (result == null) result = caseModelElement(rest);
				if (result == null) result = caseNamedElement(rest);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case extrafunctionalfeaturePackage.INTERACTION_MODEL: {
				InteractionModel interactionModel = (InteractionModel)theEObject;
				T result = caseInteractionModel(interactionModel);
				if (result == null) result = caseModelElement(interactionModel);
				if (result == null) result = caseNamedElement(interactionModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseModelElement(ModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extra Functional Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extra Functional Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseExtraFunctionalFeature(ExtraFunctionalFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Secure Communication</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Secure Communication</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSecureCommunication(SecureCommunication object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Communication Feature</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Communication Feature</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCommunicationFeature(CommunicationFeature object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>WS</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>WS</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseWS(WS object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>REST</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>REST</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseREST(REST object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Interaction Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Interaction Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseInteractionModel(InteractionModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Named Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNamedElement(NamedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public T defaultCase(EObject object) {
		return null;
	}

} //extrafunctionalfeatureSwitch
