/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.util;

import org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.extrafunctionalfeaturerepositoryPackage
 * @generated
 */
public class extrafunctionalfeaturerepositoryAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static extrafunctionalfeaturerepositoryPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public extrafunctionalfeaturerepositoryAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = extrafunctionalfeaturerepositoryPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected extrafunctionalfeaturerepositorySwitch<Adapter> modelSwitch =
		new extrafunctionalfeaturerepositorySwitch<Adapter>() {
			@Override
			public Adapter caseExtraFunctionalFeatureRepositoryModel(ExtraFunctionalFeatureRepositoryModel object) {
				return createExtraFunctionalFeatureRepositoryModelAdapter();
			}
			@Override
			public Adapter caseExtraFunctionalFeatureRelationship(ExtraFunctionalFeatureRelationship object) {
				return createExtraFunctionalFeatureRelationshipAdapter();
			}
			@Override
			public Adapter caseRESTSet(RESTSet object) {
				return createRESTSetAdapter();
			}
			@Override
			public Adapter caseWSSet(WSSet object) {
				return createWSSetAdapter();
			}
			@Override
			public Adapter caseCommunicationFeatureSet(CommunicationFeatureSet object) {
				return createCommunicationFeatureSetAdapter();
			}
			@Override
			public Adapter caseSecureCommunicationSet(SecureCommunicationSet object) {
				return createSecureCommunicationSetAdapter();
			}
			@Override
			public Adapter caseInteractionModelSet(InteractionModelSet object) {
				return createInteractionModelSetAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRepositoryModel <em>Extra Functional Feature Repository Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRepositoryModel
	 * @generated
	 */
	public Adapter createExtraFunctionalFeatureRepositoryModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRelationship <em>Extra Functional Feature Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRelationship
	 * @generated
	 */
	public Adapter createExtraFunctionalFeatureRelationshipAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.RESTSet <em>REST Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.RESTSet
	 * @generated
	 */
	public Adapter createRESTSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.WSSet <em>WS Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.WSSet
	 * @generated
	 */
	public Adapter createWSSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.CommunicationFeatureSet <em>Communication Feature Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.CommunicationFeatureSet
	 * @generated
	 */
	public Adapter createCommunicationFeatureSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.SecureCommunicationSet <em>Secure Communication Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.SecureCommunicationSet
	 * @generated
	 */
	public Adapter createSecureCommunicationSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.InteractionModelSet <em>Interaction Model Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.InteractionModelSet
	 * @generated
	 */
	public Adapter createInteractionModelSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //extrafunctionalfeaturerepositoryAdapterFactory
