/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.util;

import java.util.List;

import org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.extrafunctionalfeaturerepositoryPackage
 * @generated
 */
public class extrafunctionalfeaturerepositorySwitch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static extrafunctionalfeaturerepositoryPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public extrafunctionalfeaturerepositorySwitch() {
		if (modelPackage == null) {
			modelPackage = extrafunctionalfeaturerepositoryPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public T doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List<EClass> eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch(eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL: {
				ExtraFunctionalFeatureRepositoryModel extraFunctionalFeatureRepositoryModel = (ExtraFunctionalFeatureRepositoryModel)theEObject;
				T result = caseExtraFunctionalFeatureRepositoryModel(extraFunctionalFeatureRepositoryModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_RELATIONSHIP: {
				ExtraFunctionalFeatureRelationship extraFunctionalFeatureRelationship = (ExtraFunctionalFeatureRelationship)theEObject;
				T result = caseExtraFunctionalFeatureRelationship(extraFunctionalFeatureRelationship);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case extrafunctionalfeaturerepositoryPackage.REST_SET: {
				RESTSet restSet = (RESTSet)theEObject;
				T result = caseRESTSet(restSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case extrafunctionalfeaturerepositoryPackage.WS_SET: {
				WSSet wsSet = (WSSet)theEObject;
				T result = caseWSSet(wsSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case extrafunctionalfeaturerepositoryPackage.COMMUNICATION_FEATURE_SET: {
				CommunicationFeatureSet communicationFeatureSet = (CommunicationFeatureSet)theEObject;
				T result = caseCommunicationFeatureSet(communicationFeatureSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case extrafunctionalfeaturerepositoryPackage.SECURE_COMMUNICATION_SET: {
				SecureCommunicationSet secureCommunicationSet = (SecureCommunicationSet)theEObject;
				T result = caseSecureCommunicationSet(secureCommunicationSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case extrafunctionalfeaturerepositoryPackage.INTERACTION_MODEL_SET: {
				InteractionModelSet interactionModelSet = (InteractionModelSet)theEObject;
				T result = caseInteractionModelSet(interactionModelSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extra Functional Feature Repository Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extra Functional Feature Repository Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseExtraFunctionalFeatureRepositoryModel(ExtraFunctionalFeatureRepositoryModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Extra Functional Feature Relationship</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Extra Functional Feature Relationship</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseExtraFunctionalFeatureRelationship(ExtraFunctionalFeatureRelationship object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>REST Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>REST Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRESTSet(RESTSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>WS Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>WS Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseWSSet(WSSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Communication Feature Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Communication Feature Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCommunicationFeatureSet(CommunicationFeatureSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Secure Communication Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Secure Communication Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSecureCommunicationSet(SecureCommunicationSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Interaction Model Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Interaction Model Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseInteractionModelSet(InteractionModelSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public T defaultCase(EObject object) {
		return null;
	}

} //extrafunctionalfeaturerepositorySwitch
