/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.util;

import org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.serviceofferknowledgerepositoryPackage
 * @generated
 */
public class serviceofferknowledgerepositoryAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static serviceofferknowledgerepositoryPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public serviceofferknowledgerepositoryAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = serviceofferknowledgerepositoryPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected serviceofferknowledgerepositorySwitch<Adapter> modelSwitch =
		new serviceofferknowledgerepositorySwitch<Adapter>() {
			@Override
			public Adapter caseServiceOfferKnowledgeRepositoryModel(ServiceOfferKnowledgeRepositoryModel object) {
				return createServiceOfferKnowledgeRepositoryModelAdapter();
			}
			@Override
			public Adapter casePilarcosServiceOfferKnowledgeItemTypeRelationship(PilarcosServiceOfferKnowledgeItemTypeRelationship object) {
				return createPilarcosServiceOfferKnowledgeItemTypeRelationshipAdapter();
			}
			@Override
			public Adapter caseFailedServicesKnowledgeItemSet(FailedServicesKnowledgeItemSet object) {
				return createFailedServicesKnowledgeItemSetAdapter();
			}
			@Override
			public Adapter caseCommittedServicesKnowledgeItemSet(CommittedServicesKnowledgeItemSet object) {
				return createCommittedServicesKnowledgeItemSetAdapter();
			}
			@Override
			public Adapter caseSuccessfulServicesKnowledgeItemSet(SuccessfulServicesKnowledgeItemSet object) {
				return createSuccessfulServicesKnowledgeItemSetAdapter();
			}
			@Override
			public Adapter caseAvailableServicesKnowledgeItemSet(AvailableServicesKnowledgeItemSet object) {
				return createAvailableServicesKnowledgeItemSetAdapter();
			}
			@Override
			public Adapter caseInteroperableServicesKnowledgeItemSet(InteroperableServicesKnowledgeItemSet object) {
				return createInteroperableServicesKnowledgeItemSetAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.ServiceOfferKnowledgeRepositoryModel <em>Service Offer Knowledge Repository Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.ServiceOfferKnowledgeRepositoryModel
	 * @generated
	 */
	public Adapter createServiceOfferKnowledgeRepositoryModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.PilarcosServiceOfferKnowledgeItemTypeRelationship <em>Pilarcos Service Offer Knowledge Item Type Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.PilarcosServiceOfferKnowledgeItemTypeRelationship
	 * @generated
	 */
	public Adapter createPilarcosServiceOfferKnowledgeItemTypeRelationshipAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.FailedServicesKnowledgeItemSet <em>Failed Services Knowledge Item Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.FailedServicesKnowledgeItemSet
	 * @generated
	 */
	public Adapter createFailedServicesKnowledgeItemSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.CommittedServicesKnowledgeItemSet <em>Committed Services Knowledge Item Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.CommittedServicesKnowledgeItemSet
	 * @generated
	 */
	public Adapter createCommittedServicesKnowledgeItemSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.SuccessfulServicesKnowledgeItemSet <em>Successful Services Knowledge Item Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.SuccessfulServicesKnowledgeItemSet
	 * @generated
	 */
	public Adapter createSuccessfulServicesKnowledgeItemSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.AvailableServicesKnowledgeItemSet <em>Available Services Knowledge Item Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.AvailableServicesKnowledgeItemSet
	 * @generated
	 */
	public Adapter createAvailableServicesKnowledgeItemSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.InteroperableServicesKnowledgeItemSet <em>Interoperable Services Knowledge Item Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.InteroperableServicesKnowledgeItemSet
	 * @generated
	 */
	public Adapter createInteroperableServicesKnowledgeItemSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //serviceofferknowledgerepositoryAdapterFactory
