/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.serviceofferrepository.serviceofferrepository.util;

import java.util.List;

import org.cinco.pilarcos.serviceofferrepository.serviceofferrepository.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.serviceofferrepository.serviceofferrepository.serviceofferrepositoryPackage
 * @generated
 */
public class serviceofferrepositorySwitch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static serviceofferrepositoryPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public serviceofferrepositorySwitch() {
		if (modelPackage == null) {
			modelPackage = serviceofferrepositoryPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public T doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List<EClass> eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch(eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case serviceofferrepositoryPackage.SERVICE_OFFER_REPOSITORY_MODEL: {
				ServiceOfferRepositoryModel serviceOfferRepositoryModel = (ServiceOfferRepositoryModel)theEObject;
				T result = caseServiceOfferRepositoryModel(serviceOfferRepositoryModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case serviceofferrepositoryPackage.PILARCOS_SERVICE_OFFER_KNOWLEDGE_ITEM_TYPE_RELATIONSHIP: {
				PilarcosServiceOfferKnowledgeItemTypeRelationship pilarcosServiceOfferKnowledgeItemTypeRelationship = (PilarcosServiceOfferKnowledgeItemTypeRelationship)theEObject;
				T result = casePilarcosServiceOfferKnowledgeItemTypeRelationship(pilarcosServiceOfferKnowledgeItemTypeRelationship);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case serviceofferrepositoryPackage.SERVICE_OFFER_KNOWLEDGE_ITEM_SET: {
				ServiceOfferKnowledgeItemSet serviceOfferKnowledgeItemSet = (ServiceOfferKnowledgeItemSet)theEObject;
				T result = caseServiceOfferKnowledgeItemSet(serviceOfferKnowledgeItemSet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Offer Repository Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Offer Repository Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseServiceOfferRepositoryModel(ServiceOfferRepositoryModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pilarcos Service Offer Knowledge Item Type Relationship</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pilarcos Service Offer Knowledge Item Type Relationship</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePilarcosServiceOfferKnowledgeItemTypeRelationship(PilarcosServiceOfferKnowledgeItemTypeRelationship object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Offer Knowledge Item Set</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Offer Knowledge Item Set</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseServiceOfferKnowledgeItemSet(ServiceOfferKnowledgeItemSet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public T defaultCase(EObject object) {
		return null;
	}

} //serviceofferrepositorySwitch
