/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.servicetyperepository.servicetyperepository;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>Service Type Repository Enum</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.servicetyperepositoryPackage#getServiceTypeRepositoryEnum()
 * @model
 * @generated
 */
public enum ServiceTypeRepositoryEnum implements Enumerator {
	/**
	 * The '<em><b>Subtype Of</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #SUBTYPE_OF_VALUE
	 * @generated
	 * @ordered
	 */
	SUBTYPE_OF(2, "subtypeOf", "subtypeOf"),

	/**
	 * The '<em><b>Compatible With</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #COMPATIBLE_WITH_VALUE
	 * @generated
	 * @ordered
	 */
	COMPATIBLE_WITH(1, "compatibleWith", "compatibleWith");

	/**
	 * The '<em><b>Subtype Of</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>Subtype Of</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @see #SUBTYPE_OF
	 * @model name="subtypeOf"
	 * @generated
	 * @ordered
	 */
	public static final int SUBTYPE_OF_VALUE = 2;

	/**
	 * The '<em><b>Compatible With</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>Compatible With</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @see #COMPATIBLE_WITH
	 * @model name="compatibleWith"
	 * @generated
	 * @ordered
	 */
	public static final int COMPATIBLE_WITH_VALUE = 1;

	/**
	 * An array of all the '<em><b>Service Type Repository Enum</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final ServiceTypeRepositoryEnum[] VALUES_ARRAY =
		new ServiceTypeRepositoryEnum[] {
			SUBTYPE_OF,
			COMPATIBLE_WITH,
		};

	/**
	 * A public read-only list of all the '<em><b>Service Type Repository Enum</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<ServiceTypeRepositoryEnum> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>Service Type Repository Enum</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static ServiceTypeRepositoryEnum get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ServiceTypeRepositoryEnum result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>Service Type Repository Enum</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static ServiceTypeRepositoryEnum getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			ServiceTypeRepositoryEnum result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>Service Type Repository Enum</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static ServiceTypeRepositoryEnum get(int value) {
		switch (value) {
			case SUBTYPE_OF_VALUE: return SUBTYPE_OF;
			case COMPATIBLE_WITH_VALUE: return COMPATIBLE_WITH;
		}
		return null;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private ServiceTypeRepositoryEnum(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //ServiceTypeRepositoryEnum
