/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.servicetyperepository.servicetyperepository;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.servicetyperepositoryFactory
 * @model kind="package"
 * @generated
 */
public interface servicetyperepositoryPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "servicetyperepository";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://cinco.org/pilarcos/servicetyperepository/repository";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "ServiceTypeRepository";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	servicetyperepositoryPackage eINSTANCE = org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.servicetyperepositoryPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.ServiceTypeRepositoryModelImpl <em>Service Type Repository Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.ServiceTypeRepositoryModelImpl
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.servicetyperepositoryPackageImpl#getServiceTypeRepositoryModel()
	 * @generated
	 */
	int SERVICE_TYPE_REPOSITORY_MODEL = 0;

	/**
	 * The feature id for the '<em><b>Models</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_TYPE_REPOSITORY_MODEL__MODELS = 0;

	/**
	 * The feature id for the '<em><b>Relationships</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_TYPE_REPOSITORY_MODEL__RELATIONSHIPS = 1;

	/**
	 * The feature id for the '<em><b>Servicetypeknowledgeitemset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_TYPE_REPOSITORY_MODEL__SERVICETYPEKNOWLEDGEITEMSET = 2;

	/**
	 * The number of structural features of the '<em>Service Type Repository Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_TYPE_REPOSITORY_MODEL_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.ServiceTypeKnowledgeItemTypeRelationshipImpl <em>Service Type Knowledge Item Type Relationship</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.ServiceTypeKnowledgeItemTypeRelationshipImpl
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.servicetyperepositoryPackageImpl#getServiceTypeKnowledgeItemTypeRelationship()
	 * @generated
	 */
	int SERVICE_TYPE_KNOWLEDGE_ITEM_TYPE_RELATIONSHIP = 1;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_TYPE_KNOWLEDGE_ITEM_TYPE_RELATIONSHIP__SOURCE = 0;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_TYPE_KNOWLEDGE_ITEM_TYPE_RELATIONSHIP__TARGET = 1;

	/**
	 * The feature id for the '<em><b>Kind</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_TYPE_KNOWLEDGE_ITEM_TYPE_RELATIONSHIP__KIND = 2;

	/**
	 * The number of structural features of the '<em>Service Type Knowledge Item Type Relationship</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_TYPE_KNOWLEDGE_ITEM_TYPE_RELATIONSHIP_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.ServiceTypeKnowledgeItemSetImpl <em>Service Type Knowledge Item Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.ServiceTypeKnowledgeItemSetImpl
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.servicetyperepositoryPackageImpl#getServiceTypeKnowledgeItemSet()
	 * @generated
	 */
	int SERVICE_TYPE_KNOWLEDGE_ITEM_SET = 2;

	/**
	 * The feature id for the '<em><b>Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_TYPE_KNOWLEDGE_ITEM_SET__ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Service Type Knowledge Item Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_TYPE_KNOWLEDGE_ITEM_SET_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeRepositoryEnum <em>Service Type Repository Enum</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeRepositoryEnum
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.servicetyperepositoryPackageImpl#getServiceTypeRepositoryEnum()
	 * @generated
	 */
	int SERVICE_TYPE_REPOSITORY_ENUM = 3;


	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeRepositoryModel <em>Service Type Repository Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Service Type Repository Model</em>'.
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeRepositoryModel
	 * @generated
	 */
	EClass getServiceTypeRepositoryModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeRepositoryModel#getModels <em>Models</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Models</em>'.
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeRepositoryModel#getModels()
	 * @see #getServiceTypeRepositoryModel()
	 * @generated
	 */
	EReference getServiceTypeRepositoryModel_Models();

	/**
	 * Returns the meta object for the containment reference list '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeRepositoryModel#getRelationships <em>Relationships</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Relationships</em>'.
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeRepositoryModel#getRelationships()
	 * @see #getServiceTypeRepositoryModel()
	 * @generated
	 */
	EReference getServiceTypeRepositoryModel_Relationships();

	/**
	 * Returns the meta object for the containment reference '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeRepositoryModel#getServicetypeknowledgeitemset <em>Servicetypeknowledgeitemset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Servicetypeknowledgeitemset</em>'.
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeRepositoryModel#getServicetypeknowledgeitemset()
	 * @see #getServiceTypeRepositoryModel()
	 * @generated
	 */
	EReference getServiceTypeRepositoryModel_Servicetypeknowledgeitemset();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeKnowledgeItemTypeRelationship <em>Service Type Knowledge Item Type Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Service Type Knowledge Item Type Relationship</em>'.
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeKnowledgeItemTypeRelationship
	 * @generated
	 */
	EClass getServiceTypeKnowledgeItemTypeRelationship();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeKnowledgeItemTypeRelationship#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Source</em>'.
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeKnowledgeItemTypeRelationship#getSource()
	 * @see #getServiceTypeKnowledgeItemTypeRelationship()
	 * @generated
	 */
	EReference getServiceTypeKnowledgeItemTypeRelationship_Source();

	/**
	 * Returns the meta object for the reference '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeKnowledgeItemTypeRelationship#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Target</em>'.
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeKnowledgeItemTypeRelationship#getTarget()
	 * @see #getServiceTypeKnowledgeItemTypeRelationship()
	 * @generated
	 */
	EReference getServiceTypeKnowledgeItemTypeRelationship_Target();

	/**
	 * Returns the meta object for the attribute '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeKnowledgeItemTypeRelationship#getKind <em>Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Kind</em>'.
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeKnowledgeItemTypeRelationship#getKind()
	 * @see #getServiceTypeKnowledgeItemTypeRelationship()
	 * @generated
	 */
	EAttribute getServiceTypeKnowledgeItemTypeRelationship_Kind();

	/**
	 * Returns the meta object for class '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeKnowledgeItemSet <em>Service Type Knowledge Item Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Service Type Knowledge Item Set</em>'.
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeKnowledgeItemSet
	 * @generated
	 */
	EClass getServiceTypeKnowledgeItemSet();

	/**
	 * Returns the meta object for the reference list '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeKnowledgeItemSet#getElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Element</em>'.
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeKnowledgeItemSet#getElement()
	 * @see #getServiceTypeKnowledgeItemSet()
	 * @generated
	 */
	EReference getServiceTypeKnowledgeItemSet_Element();

	/**
	 * Returns the meta object for enum '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeRepositoryEnum <em>Service Type Repository Enum</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Service Type Repository Enum</em>'.
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeRepositoryEnum
	 * @generated
	 */
	EEnum getServiceTypeRepositoryEnum();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	servicetyperepositoryFactory getservicetyperepositoryFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.ServiceTypeRepositoryModelImpl <em>Service Type Repository Model</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.ServiceTypeRepositoryModelImpl
		 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.servicetyperepositoryPackageImpl#getServiceTypeRepositoryModel()
		 * @generated
		 */
		EClass SERVICE_TYPE_REPOSITORY_MODEL = eINSTANCE.getServiceTypeRepositoryModel();

		/**
		 * The meta object literal for the '<em><b>Models</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SERVICE_TYPE_REPOSITORY_MODEL__MODELS = eINSTANCE.getServiceTypeRepositoryModel_Models();

		/**
		 * The meta object literal for the '<em><b>Relationships</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SERVICE_TYPE_REPOSITORY_MODEL__RELATIONSHIPS = eINSTANCE.getServiceTypeRepositoryModel_Relationships();

		/**
		 * The meta object literal for the '<em><b>Servicetypeknowledgeitemset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SERVICE_TYPE_REPOSITORY_MODEL__SERVICETYPEKNOWLEDGEITEMSET = eINSTANCE.getServiceTypeRepositoryModel_Servicetypeknowledgeitemset();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.ServiceTypeKnowledgeItemTypeRelationshipImpl <em>Service Type Knowledge Item Type Relationship</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.ServiceTypeKnowledgeItemTypeRelationshipImpl
		 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.servicetyperepositoryPackageImpl#getServiceTypeKnowledgeItemTypeRelationship()
		 * @generated
		 */
		EClass SERVICE_TYPE_KNOWLEDGE_ITEM_TYPE_RELATIONSHIP = eINSTANCE.getServiceTypeKnowledgeItemTypeRelationship();

		/**
		 * The meta object literal for the '<em><b>Source</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SERVICE_TYPE_KNOWLEDGE_ITEM_TYPE_RELATIONSHIP__SOURCE = eINSTANCE.getServiceTypeKnowledgeItemTypeRelationship_Source();

		/**
		 * The meta object literal for the '<em><b>Target</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SERVICE_TYPE_KNOWLEDGE_ITEM_TYPE_RELATIONSHIP__TARGET = eINSTANCE.getServiceTypeKnowledgeItemTypeRelationship_Target();

		/**
		 * The meta object literal for the '<em><b>Kind</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SERVICE_TYPE_KNOWLEDGE_ITEM_TYPE_RELATIONSHIP__KIND = eINSTANCE.getServiceTypeKnowledgeItemTypeRelationship_Kind();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.ServiceTypeKnowledgeItemSetImpl <em>Service Type Knowledge Item Set</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.ServiceTypeKnowledgeItemSetImpl
		 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.servicetyperepositoryPackageImpl#getServiceTypeKnowledgeItemSet()
		 * @generated
		 */
		EClass SERVICE_TYPE_KNOWLEDGE_ITEM_SET = eINSTANCE.getServiceTypeKnowledgeItemSet();

		/**
		 * The meta object literal for the '<em><b>Element</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SERVICE_TYPE_KNOWLEDGE_ITEM_SET__ELEMENT = eINSTANCE.getServiceTypeKnowledgeItemSet_Element();

		/**
		 * The meta object literal for the '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeRepositoryEnum <em>Service Type Repository Enum</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeRepositoryEnum
		 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.servicetyperepositoryPackageImpl#getServiceTypeRepositoryEnum()
		 * @generated
		 */
		EEnum SERVICE_TYPE_REPOSITORY_ENUM = eINSTANCE.getServiceTypeRepositoryEnum();

	}

} //servicetyperepositoryPackage
