/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.servicetyperepository.servicetyperepository.util;

import org.cinco.pilarcos.servicetyperepository.servicetyperepository.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.servicetyperepositoryPackage
 * @generated
 */
public class servicetyperepositoryAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static servicetyperepositoryPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public servicetyperepositoryAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = servicetyperepositoryPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected servicetyperepositorySwitch<Adapter> modelSwitch =
		new servicetyperepositorySwitch<Adapter>() {
			@Override
			public Adapter caseServiceTypeRepositoryModel(ServiceTypeRepositoryModel object) {
				return createServiceTypeRepositoryModelAdapter();
			}
			@Override
			public Adapter caseServiceTypeKnowledgeItemTypeRelationship(ServiceTypeKnowledgeItemTypeRelationship object) {
				return createServiceTypeKnowledgeItemTypeRelationshipAdapter();
			}
			@Override
			public Adapter caseServiceTypeKnowledgeItemSet(ServiceTypeKnowledgeItemSet object) {
				return createServiceTypeKnowledgeItemSetAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeRepositoryModel <em>Service Type Repository Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeRepositoryModel
	 * @generated
	 */
	public Adapter createServiceTypeRepositoryModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeKnowledgeItemTypeRelationship <em>Service Type Knowledge Item Type Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeKnowledgeItemTypeRelationship
	 * @generated
	 */
	public Adapter createServiceTypeKnowledgeItemTypeRelationshipAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeKnowledgeItemSet <em>Service Type Knowledge Item Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.cinco.pilarcos.servicetyperepository.servicetyperepository.ServiceTypeKnowledgeItemSet
	 * @generated
	 */
	public Adapter createServiceTypeKnowledgeItemSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //servicetyperepositoryAdapterFactory
