package org.cinco.pilarcos.contractualfeaturerepository.service;

import java.util.EnumMap;
import java.util.HashMap;
import java.util.Map;

import org.eclipse.emf.texo.server.service.ServiceModelPackageRegistry;
import org.eclipse.emf.texo.server.store.EntityManagerProvider;

import org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.ContractualFeature;
import org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel;
import org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.contractualfeaturerepositoryFactory;
import org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.contractualfeaturerepositoryPackage;
import org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRepositoryModelImpl;

public class ContractualFeatureRepositoryImpl implements ContractualFeatureRepository {

	private class ContractualFeatureRepositoryRootItemSetImpl implements ContractualFeatureRepositoryItemSet {
		
		@Override
		public ContractualFeature createItem(ContractualFeature item) throws ContractualFeatureRepositoryException {
			// TODO Auto-generated method stub
			throw new UnsupportedOperationException();
		}

		@Override
		public ContractualFeature readItem(java.lang.String identifier) throws ContractualFeatureRepositoryException {
			// TODO Auto-generated method stub
			throw new UnsupportedOperationException();
		}

		@Override
		public ContractualFeature updateItem(java.lang.String identifier, ContractualFeature item) throws ContractualFeatureRepositoryException {
			// TODO Auto-generated method stub
			throw new UnsupportedOperationException();
		}

		@Override
		public ContractualFeature deleteItem(java.lang.String identifier) throws ContractualFeatureRepositoryException {
			// TODO Auto-generated method stub
			throw new UnsupportedOperationException();
		}

	}

	private ContractualFeatureRepositoryModel repository = null;
	private Map<ContractualFeatureRepositoryEnum,ContractualFeatureRepositoryItemSet> itemSets = 
		new EnumMap<ContractualFeatureRepositoryEnum,ContractualFeatureRepositoryItemSet>(ContractualFeatureRepositoryEnum.class);

	private Map<java.lang.String, ContractualFeatureRepositoryEnum> itemSetName2Enum =
		new HashMap<java.lang.String, ContractualFeatureRepositoryEnum>();

	public ContractualFeatureRepositoryImpl() {
		System.out.println("ContractualFeatureRepository started");

//		ServiceModelPackageRegistry.getInstance().register(org.cinco.pilarcos.persistency.servicetyperepository.ServicetyperepositoryModelPackage.INSTANCE);
//		EntityManagerProvider.getInstance().setPersistenceUnitName("library-derby");

		repository = contractualfeaturerepositoryFactory.eINSTANCE.createContractualFeatureRepositoryModel();

		itemSets.put(
			ContractualFeatureRepositoryEnum.CONTRACTUALFEATUREREPOSITORY_ROOT,
			new ContractualFeatureRepositoryRootItemSetImpl()
		);
		itemSets.put(
			ContractualFeatureRepositoryEnum.EPOCHTRANSITIONCOORDINATIONKINDSET,
			new EpochTransitionCoordinationKindSetImpl()
		);
		itemSets.put(
			ContractualFeatureRepositoryEnum.BREACHRECOVERYCOORDINATIONKINDSET,
			new BreachRecoveryCoordinationKindSetImpl()
		);
		itemSets.put(
			ContractualFeatureRepositoryEnum.PILARCOSTEMPORALAVAILABILITYKINDSET,
			new PilarcosTemporalAvailabilityKindSetImpl()
		);
		itemSets.put(
			ContractualFeatureRepositoryEnum.PILARCOSCHARGINGSTYLESET,
			new PilarcosChargingStyleSetImpl()
		);
		itemSets.put(
			ContractualFeatureRepositoryEnum.PILARCOSSETTLEMENTMODELKINDSET,
			new PilarcosSettlementModelKindSetImpl()
		);
		itemSets.put(
			ContractualFeatureRepositoryEnum.PILARCOSSPATIALAVAILABILITYKINDSET,
			new PilarcosSpatialAvailabilityKindSetImpl()
		);
		itemSetName2Enum.put(
			"ContractualFeatureProductPart",
			ContractualFeatureRepositoryEnum.EPOCHTRANSITIONCOORDINATIONKINDSET
		);
		itemSetName2Enum.put(
			"ContractualFeatureProductPart",
			ContractualFeatureRepositoryEnum.BREACHRECOVERYCOORDINATIONKINDSET
		);
		itemSetName2Enum.put(
			"ContractualFeatureProductPart",
			ContractualFeatureRepositoryEnum.PILARCOSTEMPORALAVAILABILITYKINDSET
		);
		itemSetName2Enum.put(
			"ContractualFeatureProductPart",
			ContractualFeatureRepositoryEnum.PILARCOSCHARGINGSTYLESET
		);
		itemSetName2Enum.put(
			"ContractualFeatureProductPart",
			ContractualFeatureRepositoryEnum.PILARCOSSETTLEMENTMODELKINDSET
		);
		itemSetName2Enum.put(
			"ContractualFeatureProductPart",
			ContractualFeatureRepositoryEnum.PILARCOSSPATIALAVAILABILITYKINDSET
		);
	}

	@Override
	public ContractualFeature addToItemSet(java.lang.String identifier, ContractualFeatureRepositoryEnum itemSetID) 
		throws ContractualFeatureRepositoryException
	{
		// TODO Auto-generated method stub
		throw new UnsupportedOperationException();
	}

	@Override
	public ContractualFeature addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws ContractualFeatureRepositoryException
	{
		// TODO Auto-generated method stub
		throw new UnsupportedOperationException();
	}	

	@Override
	public ContractualFeature removeFromItemSet(java.lang.String identifier, ContractualFeatureRepositoryEnum itemSetID) 
		throws ContractualFeatureRepositoryException
	{
		// TODO Auto-generated method stub
		throw new UnsupportedOperationException();
	}

	@Override
	public ContractualFeature removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws ContractualFeatureRepositoryException
	{
		// TODO Auto-generated method stub
		throw new UnsupportedOperationException();
	}

	@Override
	public ContractualFeature createItem(ContractualFeature item) throws ContractualFeatureRepositoryException {
		// TODO Auto-generated method stub
		throw new UnsupportedOperationException();
	}

	@Override
	public ContractualFeature createItem(ContractualFeature item, ContractualFeatureRepositoryEnum itemSetID) throws ContractualFeatureRepositoryException {
		// TODO Auto-generated method stub
		throw new UnsupportedOperationException();
	}

	@Override
	public ContractualFeature createItem(ContractualFeature item, java.lang.String itemSetName) throws ContractualFeatureRepositoryException {
		// TODO Auto-generated method stub
		throw new UnsupportedOperationException();
	}

	@Override
	public ContractualFeature readItem(java.lang.String identifier) throws ContractualFeatureRepositoryException {
		// TODO Auto-generated method stub
		throw new UnsupportedOperationException();
	}

	@Override
	public ContractualFeature readItem(java.lang.String identifier, ContractualFeatureRepositoryEnum itemSetID) throws ContractualFeatureRepositoryException {
		// TODO Auto-generated method stub
		throw new UnsupportedOperationException();
	}

	@Override
	public ContractualFeature readItem(java.lang.String identifier, java.lang.String itemSetName) throws ContractualFeatureRepositoryException {
		// TODO Auto-generated method stub
		throw new UnsupportedOperationException();
	}

	@Override
	public ContractualFeature updateItem(java.lang.String identifier, ContractualFeature item) throws ContractualFeatureRepositoryException {
		// TODO Auto-generated method stub
		throw new UnsupportedOperationException();
	}

	@Override
	public ContractualFeature updateItem(java.lang.String identifier, ContractualFeature item, ContractualFeatureRepositoryEnum itemSetID) throws ContractualFeatureRepositoryException {
		// TODO Auto-generated method stub
		throw new UnsupportedOperationException();
	}

	@Override
	public ContractualFeature updateItem(java.lang.String identifier, ContractualFeature item, java.lang.String itemSetName) throws ContractualFeatureRepositoryException {
		// TODO Auto-generated method stub
		throw new UnsupportedOperationException();
	}

	@Override
	public ContractualFeature deleteItem(java.lang.String identifier) throws ContractualFeatureRepositoryException {
		// TODO Auto-generated method stub
		throw new UnsupportedOperationException();
	}	

	@Override
	public ContractualFeature deleteItem(java.lang.String identifier, ContractualFeatureRepositoryEnum itemSetID) throws ContractualFeatureRepositoryException {
		// TODO Auto-generated method stub
		throw new UnsupportedOperationException();
	}	

	@Override
	public ContractualFeature deleteItem(java.lang.String identifier, java.lang.String itemSetName) throws ContractualFeatureRepositoryException {
		// TODO Auto-generated method stub
		throw new UnsupportedOperationException();
	}	

}
